<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * "Affiliate Coupons" add-on class.
 * 
 */
class SliceWP_Add_On_Affiliate_Coupons extends SliceWP_Add_On {

	/**
	 * Constructor.
	 * 
	 */
	public function __construct() {

		// Slug.
		$this->slug = 'affiliate_coupons';

		// Name.
		$this->name = 'Affiliate Coupons';

		// Description.
		$this->description = 'Associate affiliates to coupon codes and track them to generate commissions for your affiliate partners.';

		// Icon URL.
		$this->icon_url = $this->get_dir_url() . 'assets/img/add-on-icon-affiliate-coupons.png';

		// Documentation URL.
		$this->documentation_url = 'https://slicewp.com/products/affiliate-coupons/';

		// Author information.
		$this->author 	  = 'SliceWP';
		$this->author_url = 'https://slicewp.com/';

		parent::__construct();

	}


	/**
	 * Include files.
	 * 
	 */
	protected function include_files() {

		// If the legacy add-on is active, don't load any files.
		if ( _slicewp_is_legacy_single_add_on_active( $this->slug ) ) {
			return;
		}

		$files = array(
			'base/functions.php',
			'base/integrations/easy-digital-downloads/functions.php',
			'base/integrations/getpaid/functions.php',
			'base/integrations/memberpress/functions.php',
			'base/integrations/paid-member-subscriptions/functions.php',
			'base/integrations/paid-memberships-pro/functions.php',
			'base/integrations/restrict-content-pro/functions.php',
			'base/integrations/studiocart/functions.php',
			'base/integrations/upsell/functions.php',
			'base/integrations/woocommerce/functions.php'
		);

		foreach ( $files as $file ) {

			include plugin_dir_path( __FILE__ ) . 'includes/' . $file;

		}

	}

}


/**
 * Registers the Affiliate Coupons add-on.
 * 
 * @param array
 * 
 * @return array
 * 
 */
function slicewp_register_add_on_affiliate_coupons( $add_ons ) {

	$add_ons['affiliate_coupons'] = 'SliceWP_Add_On_Affiliate_Coupons';

	return $add_ons;

}
add_filter( 'slicewp_register_add_on', 'slicewp_register_add_on_affiliate_coupons', 10 );