var slicewp_affiliate_landing_pages_front_end = function() {

	/**
	 * Event handler for dynamically added elements.
	 *
	 * @param {string}   event_types
	 * @param {string}   selector
	 * @param {function} callback
	 *
	 */
	function on( event_types, selector, callback ) {

		var event_types = event_types.split( ' ' );

		for ( var i = 0; i < event_types.length; i++ ) {

			document.body.addEventListener( event_types[i], function( event ) {

				for ( var target = event.target; target && target != this; target = target.parentNode ) {

					if ( target.matches( selector ) ) {

						callback.call( target, event );
						break;

					}

				}

			}, false );

		}

	}

	/**
	 * Copy affiliate landing page links.
	 *
	 */
	on( 'click', '.slicewp-copy-link', function( e ) {

		e.preventDefault();

		var target = this;

		var elem = target.closest( '.slicewp-affiliate-landing-page' ).querySelector( 'input[type="text"]' ).cloneNode( true );

		elem.style.position = 'absolute';
		elem.style.top      = '-10000px';
		elem.style.left     = '-10000px';

		document.querySelector( 'html' ).appendChild( elem );

		elem.select();

		document.execCommand( 'copy' );

		elem.parentNode.removeChild( elem );

		target.querySelector( '.slicewp-input-copy-label' ).style.display = 'none';
		target.querySelector( '.slicewp-input-copy-label-copied' ).style.display = 'inline';

		setTimeout( function() {

			target.querySelector( '.slicewp-input-copy-label' ).style.display = '';
			target.querySelector( '.slicewp-input-copy-label-copied' ).style.display = 'none';

		}, 2000 );

	});

}

if ( document.readyState === "complete" || ( document.readyState !== "loading" && ! document.documentElement.doScroll ) ) {

	slicewp_affiliate_landing_pages_front_end();

} else {

	document.addEventListener( "DOMContentLoaded", slicewp_affiliate_landing_pages_front_end );

}