<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Returns the landing page ids associated to an affiliate.
 *
 * @param int $affiliate_id
 *
 * @return array
 *
 */
function slicewp_get_affiliate_landing_pages( $affiliate_id ) {

	// Prepare post args.
	$post_args = array(
		'numberposts' => -1,
		'fields'      => 'ids',
		'post_type'   => 'any',
		'meta_key'    => 'slicewp_landing_page_affiliate_id',
		'meta_value'  => absint( $affiliate_id )
	);

	// Get the affiliate landing pages.
	$landing_pages = get_posts( $post_args );

	return $landing_pages;

}


/**
 * Returns all the affiliate landing pages.
 *
 * @return array
 *
 */
// function slicewp_get_all_affiliate_landing_pages() {

// 	// Prepare post args
// 	$post_args = array(
// 		'numberposts' => -1,
// 		'fields'      => 'all',
// 		'post_type'   => 'any',
// 		'meta_key'    => 'slicewp_landing_page_affiliate_id',
// 	);

// 	// Get the affiliate landing pages
// 	$landing_pages = get_posts( $post_args );

// 	$return = array();

// 	foreach ( $landing_pages as $key => $landing_page ) {

// 		$return[$key]['ID']           = $landing_page->ID;
// 		$return[$key]['title']        = $landing_page->post_title;
// 		$return[$key]['permalink']    = get_permalink( $landing_page->ID );
// 		$return[$key]['affiliate_id'] = get_post_meta( $landing_page->ID, 'slicewp_landing_page_affiliate_id', true );

// 	}

// 	return $return;

// }


/**
 * Returns the affiliate id linked to a landing page.
 *
 * @param int $post_id - the id of the post
 *
 * @return int|null
 *
 */
function slicewp_alp_get_landing_page_affiliate_id( $post_id ) {

	$affiliate_id = get_post_meta( $post_id, 'slicewp_landing_page_affiliate_id', true );

	if ( empty( $affiliate_id ) ) {
		return null;
	}

	return absint( $affiliate_id );

}


/**
 * Returns all the landing pages with all the info related to them.
 *
 * @param array $args
 * @param bool $count
 *
 * @return array | int
 *
 */
// function slicewp_alp_get_affiliate_landing_pages_table_data( $args, $count = false ) {

// 	// Prepare post args
// 	$default_args = array(
// 		'number'     => -1,
// 		'post_type' => 'any',
// 		'meta_key'  => 'slicewp_landing_page_affiliate_id',
// 	);

// 	$args = array_merge( $default_args, $args );

// 	global $wpdb;

// 	// Order by visits
// 	if ( isset( $args['orderby'] ) && 'visits' == $args['orderby'] ) {

// 		// Get all the landing pages
// 		$landing_pages = slicewp_get_all_affiliate_landing_pages();

// 		//Get the landing urls that got the most visits
// 		$visits_top = "SELECT landing_url, COUNT(landing_url) as 'visits_count', affiliate_id FROM {$wpdb->prefix}slicewp_visits GROUP BY landing_url, affiliate_id ORDER BY visits_count DESC";
// 		$visits = $wpdb->get_results( $visits_top, ARRAY_A );

// 		// Parse all the visits and check if the landing url belongs to an affiliate landing page 
// 		foreach ( $visits as $key => $visit ) {

// 			$affiliate_landing_pages = slicewp_get_affiliate_landing_pages( $visit['affiliate_id'] );

// 			// Save the affiliate landing page ID
// 			if ( ! empty( $affiliate_landing_pages ) ) {

// 				foreach( $affiliate_landing_pages as $affiliate_landing_page ) {

// 					if ( get_permalink( $affiliate_landing_page ) == $visits[$key]['landing_url'] ) {
// 						$visits[$key]['landing_page_id'] = $affiliate_landing_page;

// 					}
// 				}

// 			}

// 			// Remove the visits which didn't land on an affiliate landing page
// 			if ( ! isset( $visits[$key]['landing_page_id'] ) )
// 				unset( $visits[$key] );

// 		}

// 		// Save the visits count for each landing page
// 		foreach ( $landing_pages as $key => $landing_page ) {

// 			foreach ( $visits as $visit ) {

// 				if ( $landing_page['permalink'] == $visit['landing_url'] )
// 					$landing_pages[$key]['visits_count'] = $visit['visits_count'];

// 			}

// 			if ( ! isset( $landing_pages[$key]['visits_count'] ) )
// 				$landing_pages[$key]['visits_count'] = 0;


// 		}

// 		// Sort the landing pages by the visits count
// 		array_multisort( array_column( $landing_pages, 'visits_count' ), ( $args['order'] == 'desc' ? SORT_DESC : SORT_ASC ), $landing_pages );

// 		// Save the sorted landing page ids
// 		foreach ( $landing_pages as $landing_page )
// 			$post_ids[] = $landing_page['ID'];

// 	}


// 	// Order by conversions count
// 	if ( isset( $args['orderby'] ) && 'conversions' == $args['orderby'] ) {

// 		// Get all the landing pages
// 		$landing_pages = slicewp_get_all_affiliate_landing_pages();

// 		//Get the landing urls that got the most conversions
// 		$visits_top = "SELECT landing_url, affiliate_id, COUNT(commission_id) as 'conversions_count' FROM {$wpdb->prefix}slicewp_visits WHERE commission_id != 0 GROUP BY landing_url, affiliate_id ORDER BY conversions_count DESC";
// 		$visits = $wpdb->get_results( $visits_top, ARRAY_A );

// 		// Parse all the visits and check if the landing url belongs to an affiliate landing page 
// 		foreach ( $visits as $key => $visit ) {

// 			$affiliate_landing_pages = slicewp_get_affiliate_landing_pages( $visit['affiliate_id'] );

// 			// Save the affiliate landing page ID
// 			if ( ! empty( $affiliate_landing_pages ) ) {

// 				foreach( $affiliate_landing_pages as $affiliate_landing_page ) {

// 					if ( get_permalink( $affiliate_landing_page ) == $visits[$key]['landing_url'] ) {
// 						$visits[$key]['landing_page_id'] = $affiliate_landing_page;

// 					}
// 				}

// 			}

// 			// Remove the visits which didn't land on an affiliate landing page
// 			if ( ! isset( $visits[$key]['landing_page_id'] ) )
// 				unset( $visits[$key] );

// 		}

// 		// Save the conversions count for each landing page
// 		foreach ( $landing_pages as $key => $landing_page ) {

// 			foreach ( $visits as $visit ) {

// 				if ( $landing_page['permalink'] == $visit['landing_url'] )
// 					$landing_pages[$key]['conversions_count'] = $visit['conversions_count'];

// 			}

// 			if ( ! isset( $landing_pages[$key]['conversions_count'] ) )
// 				$landing_pages[$key]['conversions_count'] = 0;


// 		}

// 		// Sort the landing pages by the visits count
// 		array_multisort( array_column( $landing_pages, 'conversions_count' ), ( $args['order'] == 'desc' ? SORT_DESC : SORT_ASC ), $landing_pages );

// 		// Save the sorted landing page ids
// 		foreach ( $landing_pages as $landing_page )
// 			$post_ids[] = $landing_page['ID'];

// 	}
	
// 	if ( isset( $post_ids ) ) {
// 		$args['post__in'] = $post_ids;
// 		$args['orderby'] = 'post__in';
// 	}

// 	// Get the affiliate landing pages
// 	$landing_pages = new WP_Query( $args );

// 	if ( $count )
// 		return $landing_pages->found_posts;

// 	$return = array();

// 	foreach ( $landing_pages->posts as $key => $landing_page ) {

// 		// Get the landing page data
// 		$return[$key]['id']           = $landing_page->ID;
// 		$return[$key]['title']        = $landing_page->post_title;
// 		$return[$key]['permalink']    = get_permalink( $landing_page->ID );
// 		$return[$key]['affiliate_id'] = get_post_meta( $landing_page->ID, 'slicewp_landing_page_affiliate_id', true );

// 		// Get the visits count for each landing page
// 		$visit_args = array(
// 			'landing_url'  => $return[$key]['permalink'],
// 			'affiliate_id' => $return[$key]['affiliate_id'],
// 		);

// 		$return[$key]['visits'] = slicewp_get_visits( $visit_args, true );

// 		$visit_args = array(
// 			'landing_url'  => $return[$key]['permalink'],
// 			'affiliate_id' => $return[$key]['affiliate_id'],
// 			'converted'    => true
// 		);

// 		$return[$key]['conversions']  = slicewp_get_visits( $visit_args, true );

// 	}

// 	return $return;

// }


/**
 * Adds the landing page affiliate id in the tracking data.
 * 
 * @param array $vars
 * 
 * @return array
 * 
 */
function slicewp_alp_update_global_script_vars( $vars ) {

	// Check if the affiliate landing pages are enabled.
	if ( ! slicewp_is_add_on_active( 'affiliate_landing_pages' ) ) {
		return $vars;
	}

	// Check if we're on a single post page.
	if ( ! is_singular() ) {
		return $vars;
	}

	// Check if we are on an affiliate landing page.
	$affiliate_id = slicewp_alp_get_landing_page_affiliate_id( get_the_ID() );

	if ( ! empty( $affiliate_id ) )	 {
		$vars['post_affiliate_id'] = $affiliate_id;
	}

	return $vars;

}
add_filter( 'slicewp_global_script_vars', 'slicewp_alp_update_global_script_vars' );