<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

// Get the ConvertKit API key from settings
$convertkit_api_key = slicewp_get_setting( 'convertkit_api_key' );

?>

<!-- ConvertKit Integration Settings -->
<div id="slicewp-card-settings-convertkit-integration" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'ConvertKit Integration', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<!-- Enable ConvertKit -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-convertkit-enabled">
					<?php echo __( 'Enable ConvertKit', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'Adds the option to join the mailing list on the Affiliate Registration form.', 'slicewp' ) ); ?>
				</label>
			</div>

			<div class="slicewp-switch">

				<input id="slicewp-convertkit-enabled" class="slicewp-toggle slicewp-toggle-round" name="settings[convertkit_enabled]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['convertkit_enabled'] ) ? '1' : ( empty( $_POST ) ? slicewp_get_setting( 'convertkit_enabled' ) : '' ), '1' ); ?> />
				<label for="slicewp-convertkit-enabled"></label>

			</div>

			<label for="slicewp-convertkit-enabled"><?php echo __( 'Show mailing list opt-in on the affiliate registration form.', 'slicewp' ); ?></label>

		</div><!-- / Enable ConvertKit -->

		<!-- API Key -->
		<div id="slicewp-field-wrapper-convertkit-api-key" class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-convertkit-api-key">
					<?php echo __( 'API Key', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( sprintf( __( 'You can find the API key in the Advanced Settings section of your %sConvertKit account%s.', 'slicewp' ), '<a href="https://app.convertkit.com/account_settings/advanced_settings" target="_blank">', '</a>' ) ); ?>
				</label>
			</div>

			<div class="slicewp-flex">
				<input id="slicewp-convertkit-api-key" name="settings[convertkit_api_key]" type="password" value="<?php echo( ! empty( $_POST['settings']['convertkit_api_key'] ) ? esc_attr( $_POST['settings']['convertkit_api_key'] ) : $convertkit_api_key ); ?>">
				<a href="#" id="slicewp-connect-convertkit" class="slicewp-button-secondary">
					<span><?php echo __( 'Connect', 'slicewp' ); ?></span>
					<div class="spinner"></div>
				</a>
			</div>

		</div><!-- / API Key -->

		<!-- ConvertKit fields -->
		<div id="slicewp-convertkit-integration-fields" style="display: block; position: relative;">

			<?php

			if ( ! empty( $convertkit_api_key ) ) {

				slicewp()->services['convertkit']->output_tags();

			}

			?>

		</div><!-- ConvertKit fields -->

		<!-- Mailing List Agreement Label -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-convertkit-mailing-list-agreement-label">
					<?php echo __( 'Mailing List Agreement Label', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'This label will be added on the Affiliate Registration form next to the mailing list agreement checkbox.', 'slicewp' ) ); ?>
				</label>
			</div>

			<input id="slicewp-convertkit-mailing-list-agreement-label" name="settings[convertkit_mailing_list_agreement_label]" type="text" value="<?php echo htmlentities ( ! empty( $_POST['settings']['convertkit_mailing_list_agreement_label'] ) ? esc_attr( $_POST['settings']['convertkit_mailing_list_agreement_label'] ) : ( slicewp_get_setting( 'convertkit_mailing_list_agreement_label' ) ) ); ?>">

		</div><!-- / Mailing List Agreement Label -->

	</div>

</div><!-- / ConvertKit Integration Settings -->