<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Adds the export card to the Tools tab in the Settings page.
 *
 */
function slicewp_view_settings_tab_tools_top_card_export() {

	include 'views/view-card-export.php';

}
add_action( 'slicewp_view_settings_tab_tools_top', 'slicewp_view_settings_tab_tools_top_card_export' );


/**
 * Localizez our main JS script and add helper data for the export filters.
 *
 */
function slicewp_output_js_var_export_data_filters() {

	$filters = array(
		'statuses' => array(
			'affiliates'  => slicewp_get_affiliate_available_statuses(),
			'commissions' => slicewp_get_commission_available_statuses(),
			'payments'	  => slicewp_get_payment_available_statuses(),
			'visits'	  => array( 'converted' => __( 'Converted', 'slicewp' ), 'unconverted' => __( 'Unconverted', 'slicewp' ) ),
			'leads'	  	  => array( 'converted' => __( 'Converted', 'slicewp' ), 'unconverted' => __( 'Unconverted', 'slicewp' ) )
		)
	);

	wp_localize_script( 'slicewp-script', 'slicewp_export_data_filters', $filters );

}
add_action( 'admin_enqueue_scripts', 'slicewp_output_js_var_export_data_filters', 100 );