<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<!-- Export -->
<div id="slicewp-card-export" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'Export Data', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<!-- Export Type -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last">

			<div class="slicewp-field-label-wrapper">
				<label>
					<?php echo __( 'Export', 'slicewp' ); ?>
				</label>
			</div>

			<select id="slicewp-export-type" name="export_type" class="slicewp-select2">

				<option value=""><?php echo __( 'Select the data you wish to export...', 'slicewp' ); ?></option>

				<option value="affiliates" data-filters="<?php echo htmlspecialchars( json_encode( array( 'status' ) ), ENT_QUOTES, 'UTF-8' ); ?>"><?php echo __( 'Affiliates', 'slicewp' ); ?></option>
				<option value="commissions" data-filters="<?php echo htmlspecialchars( json_encode( array( 'affiliate', 'date-range', 'status' ) ), ENT_QUOTES, 'UTF-8' ); ?>"><?php echo __( 'Commissions', 'slicewp' ); ?></option>
				<option value="payments" data-filters="<?php echo htmlspecialchars( json_encode( array( 'affiliate', 'date-range', 'status' ) ), ENT_QUOTES, 'UTF-8' ); ?>"><?php echo __( 'Payments', 'slicewp' ); ?></option>
				<option value="visits" data-filters="<?php echo htmlspecialchars( json_encode( array( 'affiliate', 'date-range', 'status' ) ), ENT_QUOTES, 'UTF-8' ); ?>"><?php echo __( 'Visits', 'slicewp' ); ?></option>

				<?php if ( slicewp_is_add_on_active( 'lead_commissions' ) ): ?>
					<option value="leads" data-filters="<?php echo htmlspecialchars( json_encode( array( 'affiliate', 'date-range', 'status' ) ), ENT_QUOTES, 'UTF-8' ); ?>"><?php echo __( 'Leads', 'slicewp' ); ?></option>
				<?php endif; ?>

			</select>

		</div><!-- / Export Type -->

		<!-- Export Filters Wrapper -->
		<div id="slicewp-export-filters-wrapper" style="display: none;">

			<div class="slicewp-card-section-title"><?php echo __( 'Filter by', 'slicewp' ); ?></div>

			<!-- Filter: Affiliate -->
			<div id="slicewp-export-filter-affiliate" class="slicewp-field-wrapper slicewp-field-wrapper-inline" style="display: none;">
				
				<div class="slicewp-field-label-wrapper">
					<label for="slicewp-export-filter-field-affiliate-id"><?php echo __( 'Affiliate', 'slicewp' ); ?></label>
				</div>

				<?php slicewp_output_select2_user_search( array( 'id' => 'slicewp-export-filter-field-affiliate-id', 'name' => 'affiliate_id', 'placeholder' => __( 'Select affiliate...', 'slicewp' ), 'user_type' => 'affiliate', 'value' => '' ) ); ?>

			</div><!-- / Filter: Affiliate -->

			<!-- Filter: Date Range -->
			<div id="slicewp-export-filter-date-range" class="slicewp-field-wrapper slicewp-field-wrapper-inline" style="display: none;">
				
				<div class="slicewp-field-label-wrapper">
					<label for="slicewp-export-filter-field-date-min"><?php echo __( 'Date Range', 'slicewp' ); ?></label>
				</div>

				<div class="slicewp-flex">

					<!-- Date Min -->
					<input type="text" name="date_min" class="slicewp-datepicker" autocomplete="off" placeholder="<?php echo __( 'From', 'slicewp' ); ?>" value="" id="slicewp-export-filter-field-date-min" style="margin-right: 10px;" />

					<!-- Date Max -->
					<input type="text" name="date_max" class="slicewp-datepicker" autocomplete="off" placeholder="<?php echo __( 'To', 'slicewp' ); ?>" value="" />

				</div>

			</div><!-- / Filter: Date Range -->

			<!-- Filter: Status -->
			<div id="slicewp-export-filter-status" class="slicewp-field-wrapper slicewp-field-wrapper-inline" style="display: none;">
				
				<div class="slicewp-field-label-wrapper">
					<label for="slicewp-export-filter-status"><?php echo __( 'Status', 'slicewp' ); ?></label>
				</div>
				
				<select id="slicewp-export-filter-field-status" name="status" class="slicewp-select2">

					<option value=""><?php echo __( 'All statuses', 'slicewp' ); ?></option>

				</select>

			</div><!-- / Filter: Status -->

		</div><!-- / Export Filters Wrapper -->

	</div>

	<div class="slicewp-card-footer">

		<div class="slicewp-flex">

			<a href="#" class="slicewp-button-primary slicewp-disabled"><?php echo __( 'Export', 'slicewp' ); ?></a>

			<!-- Progress Bar -->
			<div class="slicewp-progressbar-wrapper">

				<div class="slicewp-progressbar-details slicewp-processing"><div class="spinner"></div><span><?php echo __( 'Processing...', 'slicewp' ); ?></span></div>
				<div class="slicewp-progressbar-details slicewp-complete"><span class="dashicons dashicons-yes-alt"></span><span><?php echo __( 'Export complete!', 'slicewp' ); ?></span> <span><!----></span></div>
				<div class="slicewp-progressbar-details slicewp-data-empty"><span class="dashicons dashicons-info-outline"></span><span><?php echo __( 'There is no data to export.', 'slicewp' ); ?></span></div>
				<div class="slicewp-progressbar-details slicewp-error"><span class="dashicons dashicons-dismiss"></span><span></span></div>

				<div class="slicewp-progressbar">
					<span class="slicewp-progressbar-fill" style="width: 0%;"></span>
				</div>

			</div><!-- / Progress Bar -->

		</div>

	</div>

</div><!-- / Export -->