<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Includes the Base files for the import and export functionality.
 *
 */
function slicewp_include_files_base_import_export() {

	// Get legend admin dir path
	$dir_path = plugin_dir_path( __FILE__ );

	// Include actions
	if ( file_exists( $dir_path . 'functions-actions-ajax.php' ) ) {
		include $dir_path . 'functions-actions-ajax.php';
	}

	if ( file_exists( $dir_path . 'functions-actions.php' ) ) {
		include $dir_path . 'functions-actions.php';
	}

	// Include export classes
	if ( file_exists( $dir_path . 'class-batch-export-affiliates.php' ) ) {
		include $dir_path . 'class-batch-export-affiliates.php';
	}

	if ( file_exists( $dir_path . 'class-batch-export-commissions.php' ) ) {
		include $dir_path . 'class-batch-export-commissions.php';
	}

	if ( file_exists( $dir_path . 'class-batch-export-payments.php' ) ) {
		include $dir_path . 'class-batch-export-payments.php';
	}

	if ( file_exists( $dir_path . 'class-batch-export-visits.php' ) ) {
		include $dir_path . 'class-batch-export-visits.php';
	}

	if ( file_exists( $dir_path . 'class-batch-export-leads.php' ) ) {
		include $dir_path . 'class-batch-export-leads.php';
	}

}
add_action( 'slicewp_include_files_late', 'slicewp_include_files_base_import_export' );


/**
 * Register the import and export batch processors.
 *
 * @param array $processors
 *
 * @return array
 *
 */
function slicewp_register_batch_processor_import_export( $processors ) {
	
	$processors['export_affiliates']  = 'SliceWP_Batch_Export_Affiliates';
	$processors['export_commissions'] = 'SliceWP_Batch_Export_Commissions';
	$processors['export_payments']    = 'SliceWP_Batch_Export_Payments';
	$processors['export_visits']      = 'SliceWP_Batch_Export_Visits';

	if ( slicewp_is_add_on_active( 'lead_commissions' ) ) {
		$processors['export_leads']   = 'SliceWP_Batch_Export_Leads';
	}

	return $processors;

}
add_filter( 'slicewp_register_batch_processor', 'slicewp_register_batch_processor_import_export' );