<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Includes the Gravity Forms files
 *
 */
function slicewp_ldc_include_files_gfo() {

	// Get legend dir path
	$dir_path = plugin_dir_path( __FILE__ );

	// Include hooks functions
	if ( slicewp_is_integration_active( 'gfo' ) && slicewp_is_integration_plugin_active( 'gfo' ) ) {

		if ( file_exists( $dir_path . 'functions-hooks-integration-gravity-forms.php' ) ) {
			include $dir_path . 'functions-hooks-integration-gravity-forms.php';
		}
		
	}

}
add_action( 'slicewp_include_files_late', 'slicewp_ldc_include_files_gfo' );


/**
 * Register the "lead" commission type in the integration supports.
 *
 * @param array $supports
 *
 * @return array
 *
 */
function slicewp_add_integration_supports_lead_commissions_gfo( $supports ) {

	if ( empty( $supports['commission_types'] ) ) {
		$supports['commission_types'] = array();
	}

	$supports['commission_types'][] = 'lead';

	return $supports;

}
add_filter( 'slicewp_integration_supports_gfo', 'slicewp_add_integration_supports_lead_commissions_gfo' );