<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

// Register the Ninja Forms Action
add_filter( 'ninja_forms_register_actions', 'slicewp_register_actions_nfo' );

// Add the entry edit link in leads table
add_filter( 'slicewp_list_table_entry_item', 'slicewp_list_table_leads_add_entry_edit_link_nfo', 10, 2 );


/**
 * Register the Ninja Forms action for Lead Commissions.
 * 
 * @param array $actions
 * 
 */
function slicewp_register_actions_nfo( $actions ) {
	
	$actions['slicewp_register_lead'] 		= new SliceWP_Ninja_Forms_Action_Register_Lead();
	$actions['slicewp_add_lead_commission'] = new SliceWP_Ninja_Forms_Action_Add_Lead_Commission();

	return $actions;

}


/**
 * Outputs the HTML for Entry in leads table.
 *
 * @param string $output
 * @param array  $item
 *
 * @return array
 *
 */
function slicewp_list_table_leads_add_entry_edit_link_nfo( $output, $item ) {

	if ( empty( $item ) ) {
		return $output;
	}

	if ( empty( $item['origin'] ) || $item['origin'] != 'nfo' ) {
		return $output;
	}
		
	$output = '<a href="' . esc_url( add_query_arg( array( 'post' => $item['entry_id'], 'action' => 'edit' ), admin_url( 'post.php' ) ) ) . '">' . $item['entry_id'] . '</a>';

	return $output;

}