<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

// Add the entry edit link in leads table.
add_filter( 'slicewp_list_table_entry_item', 'slicewp_list_table_leads_add_entry_edit_link_wsf', 10, 2 );


/**
 * Outputs the HTML for Entry in leads table.
 *
 * @param string $output
 * @param array  $item
 *
 * @return array
 *
 */
function slicewp_list_table_leads_add_entry_edit_link_wsf( $output, $item ) {

	if ( empty( $item['form_id'] ) || empty( $item['entry_id'] ) ) {
		return $output;
	}

	if ( empty( $item['origin'] ) || $item['origin'] != 'wsf' ) {
		return $output;
	}
		
	$output = '<a href="' . esc_url( add_query_arg( array( 'page' => 'ws-form-submit', 'id' => absint( $item['form_id'] ) ), admin_url( 'admin.php' ) ) . '#' . absint( $item['entry_id'] ) ) . '">' . absint( $item['entry_id'] ) . '</a>';

	return $output;

}