<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Include integration specific files.
 *
 */
function slicewp_include_files_lead_commissions_wsf() {

	// Get dir path
	$dir_path = plugin_dir_path( __FILE__ );

	// Include hooks functions
	if ( slicewp_is_integration_active( 'wsf' ) && slicewp_is_integration_plugin_active( 'wsf' ) ) {

		if ( file_exists( $dir_path . 'functions-hooks-integration-ws-form.php' ) ) {
			include $dir_path . 'functions-hooks-integration-ws-form.php';
		}

		if ( file_exists( $dir_path . 'class-ws-form-action-add-lead-commission.php' ) ) {            
			include $dir_path . 'class-ws-form-action-add-lead-commission.php';
		}

		if ( file_exists( $dir_path . 'class-ws-form-action-register-lead.php' ) ) {
			include $dir_path . 'class-ws-form-action-register-lead.php';
		}

	}

}
add_action( 'plugins_loaded', 'slicewp_include_files_lead_commissions_wsf' );


/**
 * Register the "lead" commission type in the integration supports.
 *
 * @param array $supports
 *
 * @return array
 *
 */
function slicewp_add_integration_supports_lead_commissions_wsf( $supports ) {

	if ( empty( $supports['commission_types'] ) ) {
		$supports['commission_types'] = array();
	}

	$supports['commission_types'][] = 'lead';

	return $supports;

}
add_filter( 'slicewp_integration_supports_wsf', 'slicewp_add_integration_supports_lead_commissions_wsf' );