<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * The main class for the Lead.
 *
 */
class SliceWP_Lead extends SliceWP_Base_Object {

	/**
	 * The id of the lead.
	 *
	 * @access protected
	 * @var    int
	 *
	 */
	protected $id;

	/**
	 * The id of the affiliate that reffered the lead.
	 *
	 * @access protected
	 * @var    int
	 *
	 */
	protected $affiliate_id;

	/**
	 * The id of the visit that led to the lead.
	 *
	 * @access protected
	 * @var    int
	 *
	 */
	protected $visit_id;

	/**
	 * The slug for the entity that generated the lead.
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $origin;
	
	/**
	 * The id of the visit that led to the lead.
	 *
	 * @access protected
	 * @var    int
	 *
	 */
	protected $form_id;
	
	/**
	 * The id of the visit that led to the lead.
	 *
	 * @access protected
	 * @var    int
	 *
	 */
	protected $entry_id;
	

	/**
	 * The id of the comission created for the lead.
	 *
	 * @access protected
	 * @var    int
	 *
	 */
	protected $commission_id;
	
	/**
	 * The date when the lead was created.
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $date_created;

	/**
	 * The date when the lead was last modified.
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $date_modified;
	
	/**
	 * The lead's email address.
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $email;
	
	/**
	 * The lead's first name
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $first_name;

	/**
	 * The lead's last name
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $last_name;

}