jQuery( function($) {

	/**
	 * Move the lifetime commissions settings just under the general commissions settings.
	 *
	 */
	var lifetime_settings = $('#slicewp-card-settings-lifetime-commissions').detach();
	$('#slicewp-card-settings-commissions-settings').after( lifetime_settings );
	$('#slicewp-card-settings-lifetime-commissions').show();


	/**
	 * Show the "Lifetime Sale Rate" field
	 *
	 */
	$( '#slicewp-commission-rate-lifetime-sale' ).closest( '.slicewp-field-wrapper' ).show();

	/**
	 * Show/hide the "Lifetime Limit" field based on the "Lifetime Duration" field in general settings
	 *
	 */
	$(document).on( 'change', 'body.slicewp_page_slicewp-settings #slicewp-commissions-lifetime-duration', function() {

		if ( $(this).val() == 'limited' ) {

			$('#slicewp-commissions-lifetime-limit').closest('.slicewp-field-wrapper').show();

		} else {

			$('#slicewp-commissions-lifetime-limit').closest('.slicewp-field-wrapper').hide();
			
        }

	});

	$('#slicewp-commissions-lifetime-duration').trigger( 'change' );


	/**
	 * Show/hide affiliate lifetime commission settings.
	 *
	 */
	$(document).on( 'change', 'body.slicewp_page_slicewp-affiliates [name="lifetime_commissions"]', function() {

		if ( $(this).val() == 'custom' ) {

			$(this).closest( '.slicewp-field-wrapper' ).siblings('.slicewp-field-wrapper').show();
			$(this).closest( '.slicewp-field-wrapper' ).removeClass( 'slicewp-last' );

			$('#slicewp-commissions-lifetime-duration').trigger( 'change' );
		
		} else if ( $(this).val() == 'disabled' ) {

			$(this).closest( '.slicewp-field-wrapper' ).siblings( '.slicewp-field-wrapper' ).hide();

			$(this).closest( '.slicewp-field-wrapper' ).siblings( '.slicewp-field-wrapper-linked-customers' ).hide();
			$(this).closest( '.slicewp-field-wrapper' ).addClass( 'slicewp-last' );
		
		} else {

			$(this).closest( '.slicewp-field-wrapper' ).siblings( '.slicewp-field-wrapper' ).hide();

			$(this).closest( '.slicewp-field-wrapper' ).siblings( '.slicewp-field-wrapper-linked-customers' ).show();
			$(this).closest( '.slicewp-field-wrapper' ).removeClass( 'slicewp-last' );
		
		}

	});

	$('body.slicewp_page_slicewp-affiliates [name="lifetime_commissions"]').trigger( 'change' );


	/**
	 * Show/hide affiliate group lifetime commission settings.
	 * 
	 */
	$(document).on( 'change', 'body.slicewp_page_slicewp-affiliate-groups [name="lifetime_commissions"]', function() {

		if ( $(this).val() == 'custom' ) {

			$(this).closest( '.slicewp-field-wrapper' ).siblings('.slicewp-field-wrapper').show();
			$(this).closest( '.slicewp-field-wrapper' ).removeClass( 'slicewp-last' );

			$('#slicewp-commissions-lifetime-duration').trigger( 'change' );
		
		} else {

			$(this).closest( '.slicewp-field-wrapper' ).siblings( '.slicewp-field-wrapper' ).hide();

			$(this).closest( '.slicewp-field-wrapper' ).addClass( 'slicewp-last' );
		
		}

	});

	$('body.slicewp_page_slicewp-affiliate-groups [name="lifetime_commissions"]').trigger( 'change' );


	/**
	 * Show/hide the "Lifetime Limit" field based on the "Lifetime Duration" field in add/edit affiliate
	 *
	 */
	$(document).on( 'change', 'body.slicewp_page_slicewp-affiliates #slicewp-commissions-lifetime-duration, body.slicewp_page_slicewp-affiliate-groups #slicewp-commissions-lifetime-duration', function() {

			if ( $(this).val() == 'limited' && $(this).closest('.slicewp-field-wrapper').css('display') != 'none' ) {

				$('#slicewp-commissions-lifetime-limit').closest('.slicewp-field-wrapper').show();

				if ( $('body').hasClass( 'slicewp_page_slicewp-affiliate-groups' ) ) {
					$(this).closest('.slicewp-field-wrapper').removeClass( 'slicewp-last' );
				}

			} else {

				$('#slicewp-commissions-lifetime-limit').closest('.slicewp-field-wrapper').hide();

				if ( $('body').hasClass( 'slicewp_page_slicewp-affiliate-groups' ) ) {
					$(this).closest('.slicewp-field-wrapper').addClass( 'slicewp-last' );
				}
				
			}
			
	});
	
	$('body.slicewp_page_slicewp-affiliates #slicewp-commissions-lifetime-duration').trigger( 'change' );
	$('body.slicewp_page_slicewp-affiliate-groups #slicewp-commissions-lifetime-duration').trigger( 'change' );


	/**
	 * Link a customer to an affiliate.
	 *
	 */
	$(document).on( 'click', '#slicewp-commission-lifetime-link-customer-button', function(e) {

		e.preventDefault();

        $button = $(this);

        // Exit if the customer email field is empty.
        if ( $button.siblings( 'input[type="text"]' ).val() == '' ) {
            $button.siblings( 'input[type="text"]' ).focus();
            return false;
		}
		
		// Exit if the customer email is not valid.
		if ( ! is_valid_email( $button.siblings( 'input[type="text"]' ).val() ) ){

			$button.closest( '.slicewp-field-wrapper' ).parent().find( '.slicewp-field-notice' ).remove();

			$( '<div class="slicewp-field-notice slicewp-field-notice-error">' + 'Invalid email address.' + '</div>' ).insertAfter( '.slicewp-flex-wrapper' ).hide();
			$button.closest( '.slicewp-field-wrapper' ).find( '.slicewp-field-notice' ).fadeIn( 200 );

			return false;
		
		}

        // Disable customer email field.
        $button.siblings( 'input[type="text"]' ).attr( 'disabled', 'true' );

        // Disable the button.
        $button.addClass( 'slicewp-disabled' );

        // Remove the label.
        $button.find( 'span' ).hide();
        
        // Add a spinner.
        if ( $button.find( '.spinner' ).length == 0 ) {
			$button.append( '<div class="spinner"></div>' );
		}
		
		// Remove all messages.
		$button.closest( '.slicewp-field-wrapper' ).parent().find( '.slicewp-field-notice' ).fadeOut( 200, function() {
			$(this).remove();
		});

		// Prepare AJAX call data.
		var data = {
			action			: 'slicewp_action_ajax_link_customer',
			slicewp_token	: $('#slicewp_token_link_customer').val(),
			customer_email	: $('#slicewp-commission-lifetime-customer-email').val(),
			affiliate_id	: $('#slicewp-affiliate-affiliate-id').val()
		}

		// Make AJAX call.
		$.post( ajaxurl, data, function( response ) {

			// Re-enable the button
			$button.siblings( 'input[type="text"]' ).removeAttr( 'disabled' );

			// Re-enable the button
			$button.removeClass( 'slicewp-disabled' );

			// Remove spinner
			$button.find( '.spinner' ).remove();
			
			// Show the label
			$button.find( 'span' ).show();
			
			if( response.success == false ) {

				$( '<div class="slicewp-field-notice slicewp-field-notice-error">' + response.data.message + '</div>' ).insertAfter( '.slicewp-flex-wrapper' );
				$button.closest( '.slicewp-field-wrapper' ).find( '.slicewp-field-notice' ).fadeIn( 200 );

			} else {

				// Show the success message
				$( '<div class="slicewp-field-notice slicewp-field-notice-success">' + response.data.message + '</div>' ).insertAfter( '.slicewp-flex-wrapper' );
				$button.closest( '.slicewp-field-wrapper' ).find( '.slicewp-field-notice' ).fadeIn( 200 );
				
				// Add the customer at the end of the customers list
				$( '.slicewp-affiliate-lifetime-linked-customers' ).append( $(response.data.customer).hide().fadeIn( 200 ) );

				// Add the customer in the hidden customers list
				var customer_ids = [];

                $('.slicewp-affiliate-lifetime-unlink-customer').each( function() {
					customer_ids.push( parseInt( $(this).attr( 'data-customer-id' ) ) )
                });

				$('[name="customer_ids"]').val( customer_ids.join( ',' ) );

			}

		});
		
	});


	/**
	 * Unlink a customer from affiliate/.
	 *
	 */
    $(document).on( 'click', '.slicewp-affiliate-lifetime-unlink-customer a', function(e) {

		e.preventDefault();

		// Wait for confirmation.
		if ( ! confirm ( $(this).attr( 'data-message' ) ) ) {
			return false;
		}

		$(this).blur();

		$button = $(this).parent();
		
        // Add a spinner.
        if( $button.closest('.slicewp-affiliate-lifetime-linked-customer').find( '.spinner' ).length == 0 )
			$button.closest('.slicewp-affiliate-lifetime-linked-customer').prepend( '<div class="slicewp-overlay"><div class="spinner"></div></div>' );

		var data = {
			action			: 'slicewp_action_ajax_unlink_customer',
            slicewp_token	: $('#slicewp_token_link_customer').val(),
			customer_id		: $button.attr('data-customer-id'),
			affiliate_id	: $('#slicewp-affiliate-affiliate-id').val()
		}
		
		// Make AJAX call.
		$.post( ajaxurl, data, function( response ) {

			// Remove customer.
			if( response.success == true ) {

				$button.closest('.slicewp-affiliate-lifetime-linked-customer').fadeOut( 200, function() {
					$(this).remove();
				});
			
			}

		});
	});		


	/**
	 * Link the customer when hitting enter when editing the lifetime customer email input.
	 *
	 */
	$('#slicewp-commission-lifetime-customer-email').keydown( function (e) {

		if ( e.keyCode == 13 ) {

			e.preventDefault();
			$('#slicewp-commission-lifetime-link-customer-button').trigger( 'click' );

		}

	});


	/**
	 * Validates if the received string is an email address.
	 *
	 */
	function is_valid_email( email ) {

        var regex = new RegExp( /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/ );

        return regex.test( email );

	}
	
});