<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

$affiliate_group_id = ( ! empty( $_GET['affiliate_group_id'] ) ? absint( $_GET['affiliate_group_id'] ) : 0 );

?>

<div id="slicewp-card-affiliate-group-lifetime-commissions" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'Lifetime Commissions', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<!-- Lifetime Commissions -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-enable-lifetime-commissions">
					<?php echo __( 'Lifetime Commissions', 'slicewp' ); ?>
				</label>
			</div>

			<select id="slicewp-lifetime-commissions" name="lifetime_commissions" class="slicewp-select2">
				<option value=""><?php echo __( 'Site default', 'slicewp' ); ?></option>
				<option value="custom" <?php selected( slicewp_get_collection_meta( $affiliate_group_id, '_lifetime_commissions', true ), 'custom' ); ?>><?php echo __( 'Custom', 'slicewp' ); ?></option>
				<option value="disabled" <?php selected( slicewp_get_collection_meta( $affiliate_group_id, '_lifetime_commissions', true ), 'disabled' ); ?>><?php echo __( 'Disabled', 'slicewp' ); ?></option>
			</select>

		</div>
		<!-- / Lifetime Commissions -->

		<!-- Lifetime Commission Rate -->
		<?php
			$commission_types = slicewp_get_commission_types();
			$lifetime_details = $commission_types['lifetime_sale'];

			$rate 	   = slicewp_get_collection_meta( $affiliate_group_id, '_commission_rate_lifetime_sale', true );
			$rate_type = slicewp_get_collection_meta( $affiliate_group_id, '_commission_rate_type_lifetime_sale', true );
		?>

		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-field-wrapper-commission-rate slicewp-tooltip-wide" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-commission-rate-lifetime">
					<?php echo __( 'Lifetime Sale Rate', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( '<p>' . __( 'Set a custom commission rate that should be used to calculate the lifetime commissions for affiliates from this group.', 'slicewp' ) . '</p><p>' . sprintf( __( "If %sSite default%s is selected, the rates set in the general settings will be used, unless there are other rates set (for example, per affiliate).", 'slicewp' ), '<strong>', '</strong>' ) . '</p>' ); ?>
				</label>
			</div>
			
			<input id="slicewp-commission-rate-lifetime" name="commission_rate_lifetime_sale" type="number" step="any" min="0" value="<?php echo esc_attr( ! empty( $_POST['commission_rate_lifetime_sale'] ) ? $_POST['commission_rate_lifetime_sale'] : $rate ); ?>" />					

			<select name="commission_rate_type_lifetime_sale" class="slicewp-select2" <?php echo ( count( $lifetime_details['rate_types'] ) == 1 ? 'disabled' : '' ); ?>>
				<option value=""><?php echo __( 'Site default', 'slicewp' ); ?></option>
				<?php foreach ( $lifetime_details['rate_types'] as $details_rate_type ): ?>
					<option value="<?php echo esc_attr( $details_rate_type ); ?>" <?php selected( $rate_type, $details_rate_type ); ?>><?php echo ( $details_rate_type == 'percentage' ? __( 'Percentage (%)', 'slicewp' ) : __( 'Fixed Amount', 'slicewp' ) . ' (' . esc_attr( slicewp_get_currency_symbol( slicewp_get_setting( 'active_currency', 'USD' ) ) ) . ')' ); ?></option>
				<?php endforeach; ?>
			</select>

		</div>
		<!-- / Lifetime Commission Rate -->

		<!-- Lifetime Commissions Duration -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-tooltip-wide slicewp-last" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label>
					<?php echo __( 'Lifetime Duration', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'Select whether this affiliate should be rewarded for all purchases of a customer for unlimited or for a limited period of time.', 'slicewp' ) ); ?>
				</label>
			</div>

			<select id="slicewp-commissions-lifetime-duration" name="commissions_lifetime_duration" class="slicewp-select2">
				<option value=""><?php echo __( 'Site default', 'slicewp' ); ?></option>
				<option value="unlimited" <?php echo ( slicewp_get_collection_meta( $affiliate_group_id, '_commissions_lifetime_duration', true ) == 'unlimited' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Unlimited', 'slicewp' ); ?></option>
				<option value="limited" <?php echo ( slicewp_get_collection_meta( $affiliate_group_id, '_commissions_lifetime_duration', true ) == 'limited' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Limited', 'slicewp' ); ?></option>
			</select>

		</div>
		<!-- / Lifetime Commissions Duration -->

		<!-- Lifetime Commissions Limit -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-tooltip-wide" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-commissions-lifetime-limit">
					<?php echo __( 'Lifetime Limit', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'The number of days the lifetime commissions will be awarded for this affiliate.' , 'slicewp' ) ); ?>
				</label>
			</div>

			<input id="slicewp-commissions-lifetime-limit" name="commissions_lifetime_limit" type="number" value="<?php echo esc_attr( ! empty( $_POST['commissions_lifetime_limit'] ) ? $_POST['commissions_lifetime_limit'] : slicewp_get_collection_meta( $affiliate_group_id, '_commissions_lifetime_limit', true ) ); ?>">

		</div><!-- / Lifetime Commissions Limit -->

	</div>

</div>