<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div id="slicewp-card-settings-lifetime-commissions" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'Lifetime Commissions', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<!-- Enable Lifetime Commissions -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-first">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-enable-lifetime-commissions">
					<?php echo __( 'Enable Sitewide', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( '<ul><li>' . sprintf( __( '%1$sEnabled%2$s: With sitewide enabled all your affiliates will be linked to the customers they refer at first purchase. You can disable or modify the lifetime commission settings per individual affiliate, if needed.' , 'slicewp' ), '<strong>', '</strong>' ) . '</li><li>' . sprintf( __( '%1$sDisabled%2$s: With sitewide disabled none of your affiliates will be linked to customers nor rewarded lifetime commissions by default. You can however enable and set custom lifetime commissions settings for any individual affiliate.' , 'slicewp' ), '<strong>', '</strong>' ) . '</li></ul>' ); ?>
				</label>
			</div>

			<div class="slicewp-switch">

				<input id="slicewp-enable-lifetime-commissions" class="slicewp-toggle slicewp-toggle-round" name="settings[lifetime_commissions]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['lifetime_commissions'] ) ? '1' : ( empty( $_POST ) ? slicewp_get_setting( 'lifetime_commissions' ) : '' ), '1' ); ?> />
				<label for="slicewp-enable-lifetime-commissions"></label>

			</div>

			<label for="slicewp-enable-lifetime-commissions"><?php echo __( 'Offer lifetime commissions for all affiliates.', 'slicewp' ); ?></label>

		</div>
		<!-- / Enable Lifetime Commissions -->

		<!-- Lifetime Commission Rate -->
		<?php
			$commission_types  = slicewp_get_commission_types();
			$lifetime_details = $commission_types['lifetime_sale'];

			$rate 	   = slicewp_get_setting( 'commission_rate_lifetime_sale' );
			$rate_type = slicewp_get_setting( 'commission_rate_type_lifetime_sale' );
		?>

		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-field-wrapper-commission-rate">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-commission-rate-lifetime-sale">
					<?php echo __( 'Lifetime Sale Rate', 'slicewp' ); ?>
				</label>
			</div>

			<input id="slicewp-commission-rate-lifetime-sale" name="settings[commission_rate_lifetime_sale]" type="number" step="any" min="0" value="<?php echo esc_attr( ! empty( $_POST['settings']['commission_rate_lifetime_sale'] ) ? $_POST['settings']['commission_rate_lifetime_sale'] : $rate ); ?>" />					

			<select name="settings[commission_rate_type_lifetime_sale]" class="slicewp-select2" <?php echo ( count( $lifetime_details['rate_types'] ) == 1 ? 'disabled' : '' ); ?>>
				<?php foreach ( $lifetime_details['rate_types'] as $details_rate_type ): ?>
					<option value="<?php echo esc_attr( $details_rate_type ); ?>" <?php selected( $rate_type, $details_rate_type ); ?>><?php echo ( $details_rate_type == 'percentage' ? __( 'Percentage (%)', 'slicewp' ) : __( 'Fixed Amount', 'slicewp' ) ); ?></option>
				<?php endforeach; ?>
			</select>

		</div>
		<!-- / Lifetime Commission Rate -->

		<!-- Lifetime Commissions Duration -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label>
					<?php echo __( 'Lifetime Duration', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'Select whether affiliates should be rewarded for all purchases of a customer for unlimited or for a limited period of time.', 'slicewp' ) ); ?>
				</label>
			</div>

			<select id="slicewp-commissions-lifetime-duration" name="settings[commissions_lifetime_duration]" class="slicewp-select2">
				<option value="unlimited" <?php echo ( slicewp_get_setting( 'commissions_lifetime_duration' ) == 'unlimited' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Unlimited', 'slicewp' ); ?></option>
				<option value="limited" <?php echo ( slicewp_get_setting( 'commissions_lifetime_duration' ) == 'limited' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Limited', 'slicewp' ); ?></option>
			</select>

		</div>
		<!-- / Lifetime Commissions Duration -->

		<!-- Lifetime Commissions Limit -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-commissions-lifetime-limit">
					<?php echo __( 'Lifetime Limit', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'The number of days the lifetime commissions will be awarded to the affiliates.' , 'slicewp' ) ); ?>
				</label>
			</div>

			<input id="slicewp-commissions-lifetime-limit" name="settings[commissions_lifetime_limit]" type="number" value="<?php echo esc_attr( ! empty( $_POST['settings']['commissions_lifetime_limit'] ) ? $_POST['settings']['commissions_lifetime_limit'] : slicewp_get_setting( 'commissions_lifetime_limit' ) ); ?>">

		</div><!-- / Lifetime Commissions Limit -->

		<!-- Link Customer on Registration -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-link-customer-on-registration">
					<?php echo __( 'Link Customer on Registration', 'slicewp' ); ?>
				</label>
			</div>

			<div class="slicewp-switch">

				<input id="slicewp-link-customer-on-registration" class="slicewp-toggle slicewp-toggle-round" name="settings[link_customer_on_registration]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['link_customer_on_registration'] ) ? '1' : ( empty( $_POST ) ? slicewp_get_setting( 'link_customer_on_registration' ) : '' ), '1' ); ?> />
				<label for="slicewp-link-customer-on-registration"></label>

			</div>

			<label for="slicewp-link-customer-on-registration"><?php echo __( 'When enabled, the customer will be linked to the referring affiliate at registration.', 'slicewp' ); ?></label>

		</div>
		<!-- / Enable Lifetime Commissions -->

	</div>

</div>