<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

$mailerlite_api_key = slicewp_get_setting( 'mailerlite_api_key' );

?>

<!-- MailerLite Integration Settings -->
<div id="slicewp-card-settings-mailerlite-integration" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'MailerLite Integration', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<!-- Enable MailerLite -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-mailerlite-enabled">
					<?php echo __( 'Enable MailerLite', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'Adds the option to join the mailing list on the Affiliate Registration form.', 'slicewp' ) ); ?>
				</label>
			</div>

			<div class="slicewp-switch">

				<input id="slicewp-mailerlite-enabled" class="slicewp-toggle slicewp-toggle-round" name="settings[mailerlite_enabled]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['mailerlite_enabled'] ) ? '1' : ( empty( $_POST ) ? slicewp_get_setting( 'mailerlite_enabled' ) : '' ), '1' ); ?> />
				<label for="slicewp-mailerlite-enabled"></label>

			</div>

			<label for="slicewp-mailerlite-enabled"><?php echo __( 'Show mailing list opt-in on the affiliate registration form.', 'slicewp' ); ?></label>

		</div><!-- / Enable MailerLite -->

		<!-- API Key -->
		<div id="slicewp-field-wrapper-mailerlite-api-key" class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-mailerlite-api-key">
					<?php echo __( 'API Key', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( sprintf( __( 'You can find the API key in the Integrations section of your %sMailerLite account%s.', 'slicewp' ), '<a href="https://app.mailerlite.com/integrations/api/" target="_blank">', '</a>' ) ); ?>
				</label>
			</div>

			<div class="slicewp-flex">
				<input id="slicewp-mailerlite-api-key" name="settings[mailerlite_api_key]" type="password" value="<?php echo( ! empty( $_POST['settings']['mailerlite_api_key'] ) ? esc_attr( $_POST['settings']['mailerlite_api_key'] ) : $mailerlite_api_key ); ?>">
				<a href="#" id="slicewp-connect-mailerlite" class="slicewp-button-secondary">
					<span><?php echo __( 'Connect', 'slicewp' ); ?></span>
					<div class="spinner"></div>
				</a>
			</div>

		</div><!-- / API Key -->

		<!-- MailerLite fields -->
		<div id="slicewp-mailerlite-integration-fields" style="display: block; position: relative;">

			<?php

			if ( ! empty( $mailerlite_api_key ) ) {

				slicewp()->services['mailerlite']->init( $mailerlite_api_key );
				slicewp()->services['mailerlite']->output_groups();

			}

			?>

		</div><!-- MailerLite fields -->

		<!-- Mailing List Agreement Label -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-mailerlite-mailing-list-agreement-label">
					<?php echo __( 'Mailing List Agreement Label', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'This label will be added on the affiliate registration form next to the mailing list agreement checkbox.', 'slicewp' ) ); ?>
				</label>
			</div>

			<input id="slicewp-mailerlite-mailing-list-agreement-label" name="settings[mailerlite_mailing_list_agreement_label]" type="text" value="<?php echo htmlentities ( ! empty( $_POST['settings']['mailerlite_mailing_list_agreement_label'] ) ? esc_attr( $_POST['settings']['mailerlite_mailing_list_agreement_label'] ) : ( slicewp_get_setting( 'mailerlite_mailing_list_agreement_label' ) ) ); ?>">

		</div><!-- / Mailing List Agreement Label -->

	</div>

</div><!-- / MailerLite Integration Settings -->