jQuery( function($) {

    /**
     * Moves the edit affiliate nav tab and tab to the top/bottom of the page.
     * 
     */
    $('#slicewp-card-edit-affiliate-nav-tab-card').detach().insertBefore( '#slicewp-content-wrapper' ).show();
    $('#slicewp-affiliate-network-wrapper').detach().insertAfter( '#slicewp-content-actions' );


    /**
     * Switch between tabs when clicking the edit affiliate nav tab.
     * 
     */
    $(document).on( 'click', '#slicewp-card-edit-affiliate-nav-tab-card .slicewp-nav-tab', function(e) {

        e.preventDefault();

        if ( $(this).attr( 'data-tab' ) == 'details' ) {

            $('#slicewp-content-wrapper').show();
            $('#slicewp-content-actions').show();

            $('#slicewp-affiliate-network-wrapper').hide();

        }

        if ( $(this).attr( 'data-tab' ) == 'network' ) {

            $('#slicewp-content-wrapper').hide();
            $('#slicewp-content-actions').hide();

            $('#slicewp-affiliate-network-wrapper').show();

            // Centrally position the tree diagram.
            $('.slicewp-tree-diagram')[0].scrollLeft = ( $('.slicewp-tree-diagram .slicewp-tree-diagram-root > .slicewp-affiliate-card')[0].offsetLeft + $('.slicewp-tree-diagram .slicewp-tree-diagram-root > .slicewp-affiliate-card')[0].offsetWidth / 2 ) - $('.slicewp-tree-diagram')[0].offsetWidth / 2;

        }

    });

    $('#slicewp-card-edit-affiliate-nav-tab-card .slicewp-nav-tab.slicewp-active').trigger( 'click' );


    /**
     * Move the multi-level affiliate general settings card right after the commissions card.
     * 
     */
    var setting_card = $('#slicewp-card-settings-multi-level-affiliates').detach();
    $('#slicewp-card-settings-commissions-settings').after( setting_card );
    $('#slicewp-card-settings-multi-level-affiliates').show();


    /**
     * Adds a new affiliate level.
     * 
     */
    $(document).on( 'click', '#slicewp-add-affiliate-level', function(e) {

        e.preventDefault();

        var $new_field = $(this).siblings('.slicewp-affiliate-level-placeholder').first().clone();
		var $level_key = $(this).siblings('input[type="hidden"]').first();

        // Set data for the new field
		$new_field.removeClass('slicewp-affiliate-level-placeholder');
		$new_field.find('[data-name]').each( function() {
			$(this).attr( 'name', $(this).attr( 'data-name' ).replace( '#level_key', parseInt( $level_key.val() ) ) ).removeAttr( 'data-name' )
		});

        // Append the field
		$(this).before( $new_field );

        // Initialize select2
        $select = $new_field.find( 'select' );

        $select.addClass( 'slicewp-select2' );

        var classes = $select.attr( 'class' );

        $select.select2({minimumResultsForSearch : 20}).on('select2:open', function() {

            var container = $('.select2-container').last();

            container.addClass('slicewp-select2-container');

        });

        $select.siblings('.select2-container').addClass( classes );

        // Increment option key
		$level_key.val( ( parseInt( $level_key.val() ) + 1 ) );

        // Focus the level's rate.
		$new_field.find('input[type="number"]').first().focus();

        // Rebuild the numbers of the affiliate levels.
        $('#slicewp-card-settings-multi-level-affiliates .slicewp-affiliate-level').each( function( index ) {

            $(this).find( '.slicewp-level-number span' ).html( index + 1 );

        });

    });


    /**
     * Removes the affiliate level that is clicked.
     * 
     */
    $(document).on( 'click', '.slicewp-remove-affiliate-level', function(e) {

        e.preventDefault();

        // Remove the level.
        $(this).closest( '.slicewp-affiliate-level' ).remove();

        // Rebuild the numbers of the affiliate levels.
        $('#slicewp-card-settings-multi-level-affiliates .slicewp-affiliate-level').each( function( index ) {

            $(this).find( '.slicewp-level-number span' ).html( index + 1 );

        });

    });

});