<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div id="slicewp-card-settings-multi-level-affiliates" class="slicewp-card">

	<div class="slicewp-card-header">
        <span class="slicewp-card-title"><?php echo __( 'Multi-level Affiliates', 'slicewp' ); ?></span>

        <div class="slicewp-card-actions">
			<a href="https://slicewp.com/docs/multi-level-affiliates/" target="_blank" class="slicewp-button-info" title="<?php echo esc_attr( __( 'Click to learn more...', 'slicewp' ) ); ?>"><svg height="18" width="18" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M13 9h-2V7h2v2zm0 2h-2v6h2v-6zm-1-7c-4.41 0-8 3.59-8 8s3.59 8 8 8 8-3.59 8-8-3.59-8-8-8m0-2c5.523 0 10 4.477 10 10s-4.477 10-10 10S2 17.523 2 12 6.477 2 12 2z"></path></g></svg></a>
		</div>
	</div>

    <div class="slicewp-card-inner">

        <!-- Enable Multi-level -->
        <div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-first">

            <div class="slicewp-field-label-wrapper">
                <label for="slicewp-enable-multi-level-affiliates">
                    <?php echo __( 'Enable Multi-level Affiliates', 'slicewp' ); ?>
                </label>
            </div>

            <div class="slicewp-switch">

                <input id="slicewp-enable-multi-level-affiliates" class="slicewp-toggle slicewp-toggle-round" name="settings[multi_level_affiliates]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['multi_level_affiliates'] ) ? '1' : ( empty( $_POST ) ? slicewp_get_setting( 'multi_level_affiliates' ) : '' ), '1' ); ?> />
                <label for="slicewp-enable-multi-level-affiliates"></label>

            </div>

            <label for="slicewp-enable-multi-level-affiliates"><?php echo __( 'Enables the entire multi-level affiliates functionality.', 'slicewp' ); ?></label>

        </div>
        <!-- / Enable Multi-level -->

        <!-- Affiliate Levels -->
        <div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-field-wrapper-commission-rate">

            <div class="slicewp-field-label-wrapper">
                <label for="slicewp-affiliate-levels">
                    <?php echo __( 'Affiliate Levels', 'slicewp' ); ?>
                </label>
            </div>

            <?php
            
                $commission_types = slicewp_get_commission_types();
                $levels           = ( ! empty( $_POST['settings']['affiliate_levels'] ) ? $_POST['settings']['affiliate_levels'] : slicewp_get_setting( 'affiliate_levels', array() ) ); 
            
            ?>

            <div class="slicewp-field-notice" style="display: block; margin-bottom: 10px;">
                <p><strong><?php echo __( 'Important!', 'slicewp' ); ?></strong> <?php echo __( "Percentage based commissions for affiliate levels are calculated based on the referring affiliate's commission amount.", 'slicewp' ); ?></p>
                <p><a href="https://slicewp.com/docs/multi-level-affiliates/#affiliate-levels" target="_blank"><?php echo __( 'Click here to learn more', 'slicewp' ) ?></a></p>
            </div>

            <!-- Affiliate levels -->
            <?php foreach ( $levels as $index => $level ): ?>

                <div class="slicewp-affiliate-level">

                    <div class="slicewp-level-number">
                        <p class="description slicewp-description"><?php echo __( 'Level', 'slicewp' ); ?> <span><?php echo ( $index + 1 ); ?></span></p>
                    </div>

                    <div class="slicewp-flex">

                        <input name="settings[affiliate_levels][<?php echo absint( $index ); ?>][commission_rate]" type="number" step="any" min="0" value="<?php echo $level['commission_rate']; ?>" />

                        <select name="settings[affiliate_levels][<?php echo absint( $index ); ?>][commission_rate_type]" class="slicewp-select2">
                            <?php $currency_symbol = slicewp_get_currency_symbol( slicewp_get_setting( 'active_currency', 'USD' ) ); ?>
                            <?php foreach( $commission_types['inherit']['rate_types'] as $details_rate_type ): ?>
                                <option value="<?php echo esc_attr( $details_rate_type ); ?>" <?php selected( $level['commission_rate_type'], $details_rate_type ); ?>><?php echo ( $details_rate_type == 'percentage' ? __( 'Percentage (%)', 'slicewp' ) : __( 'Fixed Amount', 'slicewp' ) . ' (' . esc_attr( $currency_symbol ) . ')' ); ?></option>
                            <?php endforeach; ?>
                        </select>

                        <a href="#" class="slicewp-remove-affiliate-level" title="<?php echo __( 'Remove level', 'slicewp' ); ?>"><?php echo slicewp_get_svg( 'outline-x-circle' ); ?></a>
                    
                    </div>

                </div>

            <?php endforeach; ?>

            <!-- Add new level button -->
            <a id="slicewp-add-affiliate-level" href="#" class="slicewp-button-secondary"><?php echo __( 'Add Level', 'slicewp' ); ?></a>

            <input type="hidden" value="<?php echo count( $levels ); ?>" />

            <!-- Level placeholder -->
            <div class="slicewp-affiliate-level slicewp-affiliate-level-placeholder">
            
                <div class="slicewp-level-number">
                    <p class="description slicewp-description"><?php echo __( 'Level', 'slicewp' ); ?> <span>0</span></p>
                </div>

                <div class="slicewp-flex">
                    
                    <input data-name="settings[affiliate_levels][#level_key][commission_rate]" type="number" step="any" min="0" value="" />

                    <select data-name="settings[affiliate_levels][#level_key][commission_rate_type]">
                        <?php $currency_symbol = slicewp_get_currency_symbol( slicewp_get_setting( 'active_currency', 'USD' ) ); ?>
                        <?php foreach( $commission_types['inherit']['rate_types'] as $details_rate_type ): ?>
                            <option value="<?php echo esc_attr( $details_rate_type ); ?>"><?php echo ( $details_rate_type == 'percentage' ? __( 'Percentage (%)', 'slicewp' ) : __( 'Fixed Amount', 'slicewp' ) . ' (' . esc_attr( $currency_symbol ) . ')' ); ?></option>
                        <?php endforeach; ?>
                    </select>

                    <a href="#" class="slicewp-remove-affiliate-level" title="<?php echo __( 'Remove level', 'slicewp' ); ?>"><?php echo slicewp_get_svg( 'outline-x-circle' ); ?></a>

                </div>

            </div>

        </div>
        <!-- / Affiliate Levels -->
        
    </div>

</div>