<?php
/**
 * Affiliate tree affiliate card.
 *
 * This template can be overridden by copying it to yourtheme/slicewp/affiliate-area/affiliates-tree-affiliate-card.php.
 *
 * HOWEVER, on occasion SliceWP will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility.
 *
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

$affiliate   = $args['affiliate'];
$commissions = slicewp_get_commissions( array( 'number' => -1, 'fields' => 'amount', 'affiliate_id' => $affiliate->get( 'id' ), 'status' => array( 'unpaid', 'paid' ), 'type' => array( 'sale', 'lifetime_sale', 'subscription', 'recurring', 'lead', 'booked' ) ) );

?>

<div class="slicewp-affiliate-card <?php echo ( empty( $commissions ) ? 'slicewp-affiliate-card-no-earnings' : '' ); ?>">

    <div class="slicewp-affiliate-card-header">

        <?php echo get_avatar( $affiliate->get( 'user_id' ), 36 ); ?>

        <div>
            <div class="slicewp-affiliate-card-name"><?php echo slicewp_get_affiliate_name( $affiliate ); ?></div>
        </div>

    </div>

    <div class="slicewp-affiliate-card-body">

        <div class="slicewp-affiliate-card-stats">
            <div><?php echo esc_html( __( "Commissions", 'slicewp' ) ); ?></div>
            <div><?php echo count( $commissions ); ?></div>
            <div><?php echo esc_html( __( "Earnings", 'slicewp' ) ); ?></div>
            <div><?php echo slicewp_format_amount( array_sum( $commissions ), slicewp_get_setting( 'active_currency', 'USD' ) ); ?></div>
        </div>

    </div>

</div>