jQuery( function($) {

	/**
	 * Move the payout request settings fields in the "Payout Settings" section.
	 *
	 */
     var field = $('#slicewp-field-wrapper-payout-request-require-invoice').detach();

     $('#slicewp-card-payouts-settings .slicewp-card-inner').append( field );
     $('#slicewp-card-payouts-settings .slicewp-card-inner .slicewp-field-wrapper').removeClass( 'slicewp-last' );

     field.show();

     
     /**
      * Removes the invoice from the payment.
      * 
      */
     $(document).on( 'click', 'a[data-action="payment_remove_invoice"]', function(e) {

          e.preventDefault();

          if ( ! confirm( $(this).attr( 'data-confirmation-message' ) ) ) {
               return false;
          }

          var $this = $(this);

          // Add loader.
          $this.closest( '.slicewp-card-inner' ).append( '<div class="slicewp-overlay"><div class="spinner"></div></div>' );
          $('html').trigger( 'click' );

          // Prepare AJAX call data.
          var data = {
               action        : 'slicewp_action_ajax_payment_remove_invoice',
               slicewp_token : $this.attr( 'data-nonce' ),
               payment_id    : $this.attr( 'data-payment-id' )
          }

          // Make AJAX call.
          $.post( ajaxurl, data, function( response ) {

               if ( response.success ) {

                    // Remove loader.
                    $this.closest( '.slicewp-card-inner' ).find( '.slicewp-overlay' ).remove();

                    $this.closest( '.slicewp-card-inner' ).find( '.slicewp-payment-invoice-empty' ).show();
                    $this.closest( '.slicewp-card-inner' ).find( '.slicewp-payment-invoice-attachment-wrapper' ).remove();

               }

          });

     });


     /**
      * Triggers the "Add invoice" media modal.
      * 
      */
     var frame;

     $(document).on( 'click', '.slicewp-payment-add-invoice', function(e) {
          
          e.preventDefault();

          $this = $(this);

          // If the media frame already exists, reopen it.
          if ( frame ) {
               frame.open();
               return;
          }

          // Create a new media frame.
          frame = wp.media({
               title: 'Select invoice PDF file',
               button: {
                    text: 'Add Invoice'
               },
               library: {
                    type: [ 'application/pdf' ]
               },
               multiple: false
          });

          // Select PDF file from media frame.
          frame.on( 'select', function() {
          
               var attachment = frame.state().get('selection').first().toJSON();

               if ( attachment.mime != 'application/pdf' ) {
                    return false;
               }

               // Add loader.
               $this.closest( '.slicewp-card-inner' ).append( '<div class="slicewp-overlay"><div class="spinner"></div></div>' );

               // Prepare AJAX call data.
               var data = {
                    action        : 'slicewp_action_ajax_payment_add_invoice',
                    slicewp_token : $this.attr( 'data-nonce' ),
                    payment_id    : $this.attr( 'data-payment-id' ),
                    attachment_id : attachment.id
               }

               // Make AJAX call.
               $.post( ajaxurl, data, function( response ) {

                    if ( response.success ) {

                         // Remove loader.
                         $this.closest( '.slicewp-card-inner' ).find( '.slicewp-overlay' ).remove();

                         // Add returned HTML.
                         if ( response.data.html ) {
                              $this.closest( '.slicewp-card-inner' ).prepend( response.data.html );
                         }

                         $this.closest( '.slicewp-card-inner' ).find( '.slicewp-payment-invoice-attachment-wrapper' ).show();
                         $this.closest( '.slicewp-card-inner' ).find( '.slicewp-payment-invoice-empty' ).hide();

                    }

               });

          });

          frame.open();
   
     });

});