<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Register dashboard notifications for requested payments.
 *
 */
function slicewp_register_admin_dashboard_notification_payments_requested() {

	$payments_count = slicewp_get_payments( array( 'status' => 'requested' ), true );

    if ( empty( $payments_count ) ) {
        return;
    }

	slicewp_admin_dashboard_notifications()->register_notification( 'requested_payments', '<p>' . sprintf( __( 'You have %d payment request(s) made by your affiliates.', 'slicewp' ), $payments_count ) . '</p><p><a href="' . esc_url( add_query_arg( array( 'page' => 'slicewp-payouts', 'subpage' => 'view-payments', 'payment_status' => 'requested' ), admin_url( 'admin.php' ) ) ) . '">' . __( 'View payment requests', 'slicewp' ) . '</a></p>' );

}
add_action( 'admin_init', 'slicewp_register_admin_dashboard_notification_payments_requested' );


/**
 * Add request payout settings fields.
 * 
 */
function slicewp_view_settings_tab_general_bottom_add_payout_request_fields() {

    include 'views/view-settings-payout-requests.php';

}
add_action( 'slicewp_view_settings_tab_general_bottom', 'slicewp_view_settings_tab_general_bottom_add_payout_request_fields' );


/**
 * Add invoice card in view payment page.
 * 
 */
function slicewp_view_payouts_review_payment_bottom_add_invoice_card() {

    $payment_id = ( ! empty( absint( $_GET['payment_id'] ) ) ? absint( $_GET['payment_id'] ) : 0 );

    if ( empty( $payment_id ) ) {
        return;
    }

    $payment = slicewp_get_payment( $payment_id );

    if ( is_null( $payment ) ) {
        return;
    }

    $affiliate = slicewp_get_affiliate( $payment->get( 'affiliate_id' ) );

    if ( is_null( $affiliate ) ) {
        return;
    }

    if ( $affiliate->get( 'user_id' ) != $payment->get( 'originator_user_id' ) ) {
        return;
    }

    include 'views/view-card-payment-invoice.php';

}
add_action( 'slicewp_view_payouts_review_payment_bottom', 'slicewp_view_payouts_review_payment_bottom_add_invoice_card', 1 );