<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

$invoice_file_name     = basename( get_attached_file( $invoice_attachment_id ) );
$invoice_file_size     = size_format( filesize( get_attached_file( $invoice_attachment_id ) ) );

?>

<div class="slicewp-payment-invoice-attachment-wrapper">
    <div class="slicewp-payment-invoice-attachment-file">
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6"><path stroke-linecap="round" stroke-linejoin="round" d="M19.5 14.25v-2.625a3.375 3.375 0 0 0-3.375-3.375h-1.5A1.125 1.125 0 0 1 13.5 7.125v-1.5a3.375 3.375 0 0 0-3.375-3.375H8.25m0 12.75h7.5m-7.5 3H12M10.5 2.25H5.625c-.621 0-1.125.504-1.125 1.125v17.25c0 .621.504 1.125 1.125 1.125h12.75c.621 0 1.125-.504 1.125-1.125V11.25a9 9 0 0 0-9-9Z" /></svg>
        <div>
            <div class="slicewp-payment-invoice-attachment-name"><a href="<?php echo esc_url( wp_get_attachment_url( $invoice_attachment_id ) ); ?>" target="_blank"><?php echo esc_html( $invoice_file_name ); ?><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6"><path stroke-linecap="round" stroke-linejoin="round" d="M13.5 6H5.25A2.25 2.25 0 0 0 3 8.25v10.5A2.25 2.25 0 0 0 5.25 21h10.5A2.25 2.25 0 0 0 18 18.75V10.5m-10.5 6L21 3m0 0h-5.25M21 3v5.25" /></svg></a></div>
            <div class="slicewp-payment-invoice-attachment-size"><?php echo esc_html( $invoice_file_size ); ?></div>
        </div>
    </div>

    <div class="slicewp-actions-wrapper">

        <a href="<?php echo esc_url( wp_get_attachment_url( $invoice_attachment_id ) ); ?>" class="slicewp-button-secondary slicewp-has-svg-icon" download="<?php echo esc_attr( $invoice_file_name ); ?>">
            <?php echo slicewp_get_svg( 'outline-download' ); ?>
            <span><?php echo __( 'Download', 'slicewp' ) ?></span>
        </a>

        <a href="#" class="slicewp-button-toggle-actions"><svg class="" height="24" width="24" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M7 12c0 1.104-.896 2-2 2s-2-.896-2-2 .896-2 2-2 2 .896 2 2zm12-2c-1.104 0-2 .896-2 2s.896 2 2 2 2-.896 2-2-.896-2-2-2zm-7 0c-1.104 0-2 .896-2 2s.896 2 2 2 2-.896 2-2-.896-2-2-2z"></path></svg></a>

        <div class="slicewp-actions-dropdown">
            <a class="slicewp-trash" data-action="payment_remove_invoice" data-nonce="<?php echo esc_attr( wp_create_nonce( 'slicewp_payment_remove_invoice' ) ); ?>" data-payment-id="<?php echo absint( $payment_id ); ?>" data-confirmation-message="<?php echo __( 'Are you sure you want to remove the invoice from this payment?', 'slicewp' ); ?>" href="#"><?php echo __( 'Remove', 'slicewp' ); ?></a>
        </div>

    </div>

</div>