<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * AJAX handler for refreshing the data of the affiliate dashboard when applying the filters the affiliate select in their account.
 * 
 */
function slicewp_action_ajax_order_performance_bonuses() {

	if ( empty( $_REQUEST['slicewp_token'] ) || ! wp_verify_nonce( $_REQUEST['slicewp_token'], 'slicewp_bulk_action_performance_bonuses' ) ) {
		wp_send_json_error();
	}

    if ( empty( $_REQUEST['bonuses_order'] ) || ! is_array( $_REQUEST['bonuses_order'] ) ) {
        wp_send_json_error();
    }

    // Sanitize and filter the order array.
    $bonuses_order = array_filter( array_map( 'absint', $_REQUEST['bonuses_order'] ) );

    if ( empty( $bonuses_order ) ) {
        wp_send_json_error();
    }

    // Get the bonuses.
    $bonuses  = array_filter( (array)get_option( 'slicewp_performance_bonuses', array() ) );

    // Arrange the bonuses by the given order.
    $ordered = array_intersect_key( array_flip( $bonuses_order ), $bonuses );
    $bonuses = array_replace( $ordered, $bonuses );

    // Update the rearranged array.
    update_option( 'slicewp_performance_bonuses', $bonuses );

    wp_send_json_success();

}
add_action( 'wp_ajax_slicewp_action_ajax_order_performance_bonuses', 'slicewp_action_ajax_order_performance_bonuses' );