<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap slicewp-wrap slicewp-wrap-performance-bonuses">

	<form method="GET">

		<!-- Page Heading -->
		<h1 class="wp-heading-inline"><?php echo __( 'Performance Bonuses', 'slicewp' ); ?></h1>
        <?php $this->output_title_actions(); ?>
		<hr class="wp-header-end" />

		<!-- Bonuses List Table -->
		<?php $bonuses_count = count( array_filter( (array)get_option( 'slicewp_performance_bonuses', array() ) ) ); ?>

		<?php if ( ! empty( $bonuses_count ) ): ?>

			<?php
				$table = new SliceWP_WP_List_Table_Performance_Bonuses();
				$table->display();
			?>

		<?php else: ?>
		
			<div class="slicewp-items-view-blank-state">
				<?php echo slicewp_get_svg( 'outline-gift' ); ?>
				<h3><?php echo __( 'Bonuses are a great way to reward your affiliates for their performance. They will appear here once created.', 'slicewp' ) ?></h3>
				<a href="<?php echo esc_url( add_query_arg( array( 'subpage' => 'add-performance-bonus' ), $this->admin_url ) ); ?>" class="slicewp-button-primary"><?php echo __( 'Add your first bonus', 'slicewp' ); ?></a>
				<p><a href="https://slicewp.com/products/performance-bonuses/" target="_blank"><?php echo __( 'Learn more about performance bonuses', 'slicewp' ); ?></a></p>
			</div>

		<?php endif; ?>

		<!-- Hidden fields needed for the search query -->
		<input type="hidden" name="page" value="slicewp-bonuses">

	</form>

	<?php 

		/**
		 * Hook to add extra cards if needed.
		 *
		 */
		do_action( 'slicewp_view_performance_bonuses_bottom' );

	?>

</div>