<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * The main class for the bonus reward.
 *
 */
class SliceWP_Bonus_Reward extends SliceWP_Base_Object {

	/**
	 * The id of the bonus reward.
	 *
	 * @access protected
	 * @var    int
	 *
	 */
	protected $id;

	/**
	 * The id of the affiliate received the bonus reward.
	 *
	 * @access protected
	 * @var    int
	 *
	 */
	protected $affiliate_id;

	/**
	 * The id of the bonus that lead to this reward.
	 *
	 * @access protected
	 * @var    int
	 *
	 */
	protected $bonus_id;

    /**
     * The type of the bonus reward.
     * 
     * @access protected
	 * @var    string
     * 
     */
    protected $type;
	
	/**
	 * The date when the reward was created.
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $date_created;

	/**
	 * The date when the reward was last modified.
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $date_modified;

}