<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Class that handles database queries for the bonus rewards meta data.
 *
 */
Class SliceWP_Object_Meta_DB_Bonus_Rewards extends SliceWP_Object_Meta_DB {

	/**
	 * Construct.
	 *
	 */
	public function __construct() {

		global $wpdb;

		$this->table_name 		 = $wpdb->prefix . 'slicewp_bonus_reward_meta';
		$this->primary_key 		 = 'slicewp_bonus_reward_id';
		$this->context 	  		 = 'bonus_reward';

		parent::__construct();

	}


	/**
	 * Return the table columns.
	 *
	 */
	public function get_columns() {

		return array(
			'meta_id' 	    		  => '%d',
			'slicewp_bonus_reward_id' => '%d',
			'meta_key' 	   			  => '%s',
			'meta_value'   			  => '%s'
		);

	}


	/**
	 * Creates and updates the database table for the bonus rewards.
	 *
	 */
	public function create_table() {

		global $wpdb;

		$table_name 	 = $this->table_name;
		$charset_collate = $wpdb->get_charset_collate();

		$query = "CREATE TABLE {$table_name} (
			meta_id bigint(20) NOT NULL AUTO_INCREMENT,
			slicewp_bonus_reward_id bigint(20) NOT NULL DEFAULT '0',
			meta_key varchar(255) DEFAULT NULL,
			meta_value longtext,
			PRIMARY KEY  (meta_id),
			KEY slicewp_bonus_reward_id (slicewp_bonus_reward_id),
			KEY meta_key (meta_key(191))
		) {$charset_collate};";

		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
		dbDelta( $query );

	}

}