<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * "Product Commission Rates" add-on class.
 * 
 */
class SliceWP_Add_On_Product_Commission_Rates extends SliceWP_Add_On {

	/**
	 * Constructor.
	 * 
	 */
	public function __construct() {

		// Slug.
		$this->slug = 'product_commission_rates';

		// Name.
		$this->name = 'Product Commission Rates';

		// Description.
		$this->description = 'Overwrite global commission rates with custom rates for each individual product or subscription.';

		// Icon URL.
		$this->icon_url = $this->get_dir_url() . 'assets/img/add-on-icon-product-commission-rates.png';

		// Documentation URL.
		$this->documentation_url = 'https://slicewp.com/products/product-commission-rates/';

		// Author information.
		$this->author 	  = 'SliceWP';
		$this->author_url = 'https://slicewp.com/';

		parent::__construct();

	}


	/**
	 * Include files.
	 * 
	 */
	protected function include_files() {

		// If the legacy add-on is active, don't load any files.
		if ( _slicewp_is_legacy_single_add_on_active( $this->slug ) ) {
			return;
		}

		$files = array(
			'base/integrations/easy-digital-downloads/functions.php',
			'base/integrations/getpaid/functions.php',
			'base/integrations/memberpress/functions.php',
			'base/integrations/paid-member-subscriptions/functions.php',
			'base/integrations/paid-memberships-pro/functions.php',
			'base/integrations/restrict-content-pro/functions.php',
			'base/integrations/studiocart/functions.php',
			'base/integrations/upsell/functions.php',
			'base/integrations/woocommerce/functions.php'
		);

		foreach ( $files as $file ) {

			include plugin_dir_path( __FILE__ ) . 'includes/' . $file;

		}

	}

}


/**
 * Registers the Product Commission Rates add-on.
 * 
 * @param array
 * 
 * @return array
 * 
 */
function slicewp_register_add_on_product_commission_rates( $add_ons ) {

	$add_ons['product_commission_rates'] = 'SliceWP_Add_On_Product_Commission_Rates';

	return $add_ons;

}
add_filter( 'slicewp_register_add_on', 'slicewp_register_add_on_product_commission_rates', 160 );