jQuery( function($) {

	/**
	 * Move the recurring commissions settings just under the general commissions settings
	 *
	 */
	var recurring_settings = $('#slicewp-card-settings-recurring-commissions').detach();
	$('#slicewp-card-settings-commissions-settings').after( recurring_settings );
	$('#slicewp-card-settings-recurring-commissions').show();


	/**
	 * Remove the "slicewp-last" class from the commissions settings field wrappers
	 *
	 */
	$('.slicewp-wrap-settings #slicewp-enable-recurring-commissions').closest( '.slicewp-field-wrapper' ).siblings( '.slicewp-field-wrapper' ).removeClass( 'slicewp-last' );

	/**
	 * Show/hide the "Recurring Rate" field based on the "Enable Recurring Commissions" field
	 *
	 */
	$(document).on( 'change', '.slicewp-card-integration-switch input[type="checkbox"], #slicewp-enable-recurring-commissions', function() {

		$('#slicewp-commission-rate-recurring').closest('.slicewp-field-wrapper').show();

	});

	$('#slicewp-commission-rate-recurring').closest('.slicewp-field-wrapper').show();

	/**
	 * Show/hide the "Recurrence Limit" field based on the "Recurrence" field
	 *
	 */
	$(document).on( 'change', '#slicewp-commissions-recurrence', function() {

		if ( $(this).val() == 'limited' ) {

			$('#slicewp-commissions-recurrence-limit').closest('.slicewp-field-wrapper').addClass( 'slicewp-last' ).show();
			$(this).closest('.slicewp-field-wrapper').removeClass( 'slicewp-last' );

		} else {

			$('#slicewp-commissions-recurrence-limit').closest('.slicewp-field-wrapper').removeClass( 'slicewp-last' ).hide();
			$(this).closest('.slicewp-field-wrapper').addClass( 'slicewp-last' );

        }

	});

	$('#slicewp-commissions-recurrence').trigger( 'change' );


	/**
	 * Show/hide affiliate recurring commission settings
	 *
	 */
	$(document).on( 'change', 'body.slicewp_page_slicewp-affiliates [name="recurring_commissions"], body.slicewp_page_slicewp-affiliate-groups [name="recurring_commissions"]', function() {

		if ( $(this).val() == 'custom' ) {

			$(this).closest( '.slicewp-field-wrapper' ).removeClass( 'slicewp-last' );

			$(this).closest( '.slicewp-field-wrapper' ).siblings('.slicewp-field-wrapper').show();

			$('#slicewp-commissions-recurrence').trigger( 'change' );

		} else {

			$(this).closest( '.slicewp-field-wrapper' ).addClass( 'slicewp-last' );

			$(this).closest( '.slicewp-field-wrapper' ).siblings( '.slicewp-field-wrapper' ).hide();

		}

	});

	$('body.slicewp_page_slicewp-affiliates [name="recurring_commissions"]').trigger( 'change' );
	$('body.slicewp_page_slicewp-affiliate-groups [name="recurring_commissions"]').trigger( 'change' );


	/**
     * Show/hide the recurring commissions fields when disabling/enabling recurring commissions
     *
     */
    function show_hide_recurring_commissions_option_fields() {

    	$('.slicewp-option-field-recurring-commissions').each( function() {

	    	if ( $(this).val() == 'custom' ) {

	    		$(this).closest( '.slicewp-option-field-wrapper' ).siblings('.slicewp-option-field-wrapper').show();

	    		$(this).closest( '.slicewp-option-field-wrapper' ).parent().find( '.slicewp-option-field-wrapper-commission-rate-type.slicewp-commission-type-recurring select' ).trigger( 'change' );
	    		$(this).closest( '.slicewp-option-field-wrapper' ).parent().find( '.slicewp-option-field-wrapper-commissions-recurrence select' ).trigger( 'change' );

	    	} else {

	    		$(this).closest( '.slicewp-option-field-wrapper' ).siblings('.slicewp-option-field-wrapper').hide();

	    	}

	    });

    }

    /**
     * Show/hide the recurring commissions fields on document ready
     *
     */
    show_hide_recurring_commissions_option_fields();

    /**
     * Show/hide the recurring commissions fields when disabling/enabling commissions
     *
     */
    $(document).on( 'click', '.slicewp-option-field-disable-commissions', function() {

    	show_hide_recurring_commissions_option_fields();

    });

    /**
     * Show/hide the recurring commissions fields when selecting a value in the recurring commissions select
     *
     */
    $(document).on( 'change', '.slicewp-option-field-recurring-commissions', function() {

    	show_hide_recurring_commissions_option_fields();

    });


    /**
     * Show/hide the product recurrence limit
     *
     */
    $(document).on( 'change', '.slicewp-option-field-wrapper-commissions-recurrence select', function() {

    	$(this).closest( '.slicewp-option-field-wrapper' ).parent().find( '.slicewp-option-field-wrapper-commissions-recurrence-limit' ).hide();

    	if ( 'custom' == $(this).closest( '.slicewp-option-field-wrapper' ).parent().find( '.slicewp-option-field-recurring-commissions' ).val() ) {

    		if ( $(this).val() == 'limited' ) {

	        	$(this).closest( '.slicewp-option-field-wrapper' ).parent().find( '.slicewp-option-field-wrapper-commissions-recurrence-limit' ).show();

	        }

    	}

    });

    $('.slicewp-option-field-wrapper-commissions-recurrence select').trigger( 'change' );


    /**
     * WooCommerce: Show the product variation recurring commissions settings when the product variation is loaded
     *
     */
    $(document).ajaxComplete( function( event, request, settings ) {

        if ( typeof settings.data != 'undefined' ) {

            var params = new URLSearchParams( settings.data );

            if ( params.get( 'action' ) == 'woocommerce_load_variations' ) {

                show_hide_recurring_commissions_option_fields();

            }

        }

    })

});