<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

$affiliate_id = ( ! empty( $_GET['affiliate_id'] ) ? sanitize_text_field( $_GET['affiliate_id'] ) : 0 );

?>

<div id="slicewp-card-affiliate-recurring-commissions" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'Recurring Commissions', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<!-- Recurring Commissions -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-enable-recurring-commissions">
					<?php echo __( 'Recurring Commissions', 'slicewp' ); ?>
				</label>
			</div>

			<select name="recurring_commissions" class="slicewp-select2">
				<option value=""><?php echo __( 'Site default', 'slicewp' ); ?></option>
				<option value="custom" <?php selected( slicewp_get_affiliate_meta( $affiliate_id, 'recurring_commissions', true ), 'custom' ); ?>><?php echo __( 'Custom', 'slicewp' ); ?></option>
				<option value="disabled" <?php selected( slicewp_get_affiliate_meta( $affiliate_id, 'recurring_commissions', true ), 'disabled' ); ?>><?php echo __( 'Disabled', 'slicewp' ); ?></option>
			</select>

		</div>
		<!-- / Recurring Commissions -->

		<!-- Recurring Commission Rate -->
		<?php
			$commission_types  = slicewp_get_commission_types();
			$recurring_details = $commission_types['recurring'];

			$rate 	   = slicewp_get_affiliate_meta( $affiliate_id, 'commission_rate_recurring', true );
			$rate_type = slicewp_get_affiliate_meta( $affiliate_id, 'commission_rate_type_recurring', true );
		?>

		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-field-wrapper-commission-rate" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-commission-rate-recurring">
					<?php echo sprintf( __( '%s rate', 'slicewp' ), $recurring_details['label'] ); ?>
				</label>
			</div>
			
			<input id="slicewp-commission-rate-recurring" name="commission_rate_recurring" type="number" step="any" min="0" value="<?php echo esc_attr( ! empty( $_POST['commission_rate_recurring'] ) ? $_POST['commission_rate_recurring'] : $rate ); ?>" />					

			<select name="commission_rate_type_recurring" class="slicewp-select2" <?php echo ( count( $recurring_details['rate_types'] ) == 1 ? 'disabled' : '' ); ?>>
				<option value=""><?php echo __( 'Site default', 'slicewp' ); ?></option>
				<?php foreach ( $recurring_details['rate_types'] as $details_rate_type ): ?>
					<option value="<?php echo esc_attr( $details_rate_type ); ?>" <?php selected( $rate_type, $details_rate_type ); ?>><?php echo ( $details_rate_type == 'percentage' ? __( 'Percentage (%)', 'slicewp' ) : __( 'Fixed Amount', 'slicewp' ) . ' (' . esc_attr( slicewp_get_currency_symbol( slicewp_get_setting( 'active_currency', 'USD' ) ) ) . ')' ); ?></option>
				<?php endforeach; ?>
			</select>

		</div>
		<!-- / Recurring Commission Rate -->

		<!-- Commissions Recurrence -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last">

			<div class="slicewp-field-label-wrapper">
				<label>
					<?php echo __( 'Commissions Recurrence', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'Select whether this affiliate should be rewarded for all recurring payments of a referred subscription or for a limited number of recurring payments.', 'slicewp' ) ); ?>
				</label>
			</div>

			<select id="slicewp-commissions-recurrence" name="commissions_recurrence" class="slicewp-select2">
				<option value=""><?php echo __( 'Site default', 'slicewp' ); ?></option>
				<option value="unlimited" <?php echo ( slicewp_get_affiliate_meta( $affiliate_id, 'commissions_recurrence', true ) == 'unlimited' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Unlimited', 'slicewp' ); ?></option>
				<option value="limited" <?php echo ( slicewp_get_affiliate_meta( $affiliate_id, 'commissions_recurrence', true ) == 'limited' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Limited', 'slicewp' ); ?></option>
			</select>

		</div>
		<!-- / Commissions Recurrence -->

		<!-- Recurrence Limit -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-commissions-recurrence-limit">
					<?php echo __( 'Recurrence Limit', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'Set the maximum number of commissions this affiliate is rewarded for recurring payments.' , 'slicewp' ) ); ?>
				</label>
			</div>

			<input id="slicewp-commissions-recurrence-limit" name="commissions_recurrence_limit" type="number" min="0" value="<?php echo esc_attr( ! empty( $_POST['commissions_recurrence_limit'] ) ? $_POST['commissions_recurrence_limit'] : slicewp_get_affiliate_meta( $affiliate_id, 'commissions_recurrence_limit', true ) ); ?>">

		</div><!-- / Recurrence Limit -->

	</div>

</div>