<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div id="slicewp-card-settings-recurring-commissions" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'Recurring Commissions', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<!-- Enable Recurring Commissions -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-first">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-enable-recurring-commissions">
					<?php echo __( 'Enable Sitewide', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( '<ul><li>' . sprintf( __( '%1$sEnabled%2$s: With sitewide enabled all your affiliates will be rewarded commissions for all the subscriptions they refer. You can disable or modify the recurring commission settings per individual affiliate or subscription, if needed.' , 'slicewp' ), '<strong>', '</strong>' ) . '</li><li>' . sprintf( __( '%1$sDisabled%2$s: With sitewide disabled none of your affiliates will be rewarded recurring commissions by default. You can however enable and set custom recurring commissions settings for any individual affiliate or subscription.' , 'slicewp' ), '<strong>', '</strong>' ) . '</li></ul>' ); ?>
				</label>
			</div>

			<div class="slicewp-switch">

				<input id="slicewp-enable-recurring-commissions" class="slicewp-toggle slicewp-toggle-round" name="settings[recurring_commissions]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['recurring_commissions'] ) ? '1' : ( empty( $_POST ) ? slicewp_get_setting( 'recurring_commissions' ) : '' ), '1' ); ?> />
				<label for="slicewp-enable-recurring-commissions"></label>

			</div>

			<label for="slicewp-enable-recurring-commissions"><?php echo __( 'Offer recurring commissions for all affiliates and subscriptions.', 'slicewp' ); ?></label>

		</div>
		<!-- / Enable Recurring Commissions -->

		<!-- Recurring Commission Rate -->
		<?php
			$commission_types  = slicewp_get_commission_types();
			$recurring_details = $commission_types['recurring'];

			$rate 	   = slicewp_get_setting( 'commission_rate_recurring' );
			$rate_type = slicewp_get_setting( 'commission_rate_type_recurring' );
		?>

		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-field-wrapper-commission-rate" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-commission-rate-recurring">
					<?php echo sprintf( __( '%s rate', 'slicewp' ), $recurring_details['label'] ); ?>
				</label>
			</div>
			
			<input id="slicewp-commission-rate-recurring" name="settings[commission_rate_recurring]" type="number" step="any" min="0" value="<?php echo esc_attr( ! empty( $_POST['settings']['commission_rate_recurring'] ) ? $_POST['settings']['commission_rate_recurring'] : $rate ); ?>" />					

			<select name="settings[commission_rate_type_recurring]" class="slicewp-select2" <?php echo ( count( $recurring_details['rate_types'] ) == 1 ? 'disabled' : '' ); ?>>
				<?php foreach ( $recurring_details['rate_types'] as $details_rate_type ): ?>
					<option value="<?php echo esc_attr( $details_rate_type ); ?>" <?php selected( $rate_type, $details_rate_type ); ?>><?php echo ( $details_rate_type == 'percentage' ? __( 'Percentage (%)', 'slicewp' ) : __( 'Fixed Amount', 'slicewp' ) ); ?></option>
				<?php endforeach; ?>
			</select>

		</div>
		<!-- / Recurring Commission Rate -->

		<!-- Commissions Recurrence -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last">

			<div class="slicewp-field-label-wrapper">
				<label>
					<?php echo __( 'Recurrence', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'Select whether affiliates should be rewarded for all recurring payments of a referred subscription or for a limited number of recurring payments.', 'slicewp' ) ); ?>
				</label>
			</div>

			<select id="slicewp-commissions-recurrence" name="settings[commissions_recurrence]" class="slicewp-select2">
				<option value="unlimited" <?php echo ( slicewp_get_setting( 'commissions_recurrence' ) == 'unlimited' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Unlimited', 'slicewp' ); ?></option>
				<option value="limited" <?php echo ( slicewp_get_setting( 'commissions_recurrence' ) == 'limited' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Limited', 'slicewp' ); ?></option>
			</select>

		</div>
		<!-- / Commissions Recurrence -->

		<!-- Recurrence Limit -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-commissions-recurrence-limit">
					<?php echo __( 'Recurrence Limit', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'Set the maximum number of commissions affiliates are rewarded for recurring payments.' , 'slicewp' ) ); ?>
				</label>
			</div>

			<input id="slicewp-commissions-recurrence-limit" name="settings[commissions_recurrence_limit]" type="number" min="0" value="<?php echo esc_attr( ! empty( $_POST['settings']['commissions_recurrence_limit'] ) ? $_POST['settings']['commissions_recurrence_limit'] : slicewp_get_setting( 'commissions_recurrence_limit' ) ); ?>">

		</div><!-- / Recurrence Limit -->

	</div>

</div>