<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * The main class for the API keys.
 *
 */
class SliceWP_API_Key extends SliceWP_Base_Object {

	/**
	 * The id of the API key.
	 *
	 * @access protected
	 * @var    int
	 *
	 */
	protected $id;

	/**
	 * The user owner of the keys.
	 *
	 * @access protected
	 * @var    int
	 *
	 */
	protected $user_id;

    /**
     * The name of the key, for identification reasons.
     * 
     * @access protected
	 * @var    string
     * 
     */
    protected $name;

	/**
	 * The public consumer key.
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $consumer_key;

	/**
	 * The consumer secret password.
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $consumer_secret;
	
	/**
	 * The permissions of the key.
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $permissions;

    /**
     * The status of the key.
     * 
     * @access protected
     * @var    string
     * 
     */
	protected $status;
	
	/**
	 * The date when the key was created.
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $date_created;

	/**
	 * The date when the key was last modified.
	 *
	 * @access protected
	 * @var    string
	 *
	 */
	protected $date_modified;

}