<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

// Check for payment.
if ( empty( $_GET['payment_id'] ) ) {
    return;
}

$payment = slicewp_get_payment( absint( $_GET['payment_id'] ) );

if ( is_null( $payment ) ) {
    return;
}

if ( 'store_credit' != $payment->get( 'payout_method' ) ) {
    return;
}

if ( ! in_array( $payment->get( 'status' ), array( 'unpaid', 'requested' ) ) ) {
    return;
}

// Bail if the affiliate doesn't exist.
$affiliate = slicewp_get_affiliate( $payment->get( 'affiliate_id' ) );

if ( is_null( $affiliate ) ) {
    return;
}

?>

<div id="slicewp-card-do-single-payment" class="slicewp-card">

    <div class="slicewp-card-header">
        <span class="slicewp-card-title"><?php echo __( 'Process Payment', 'slicewp' ); ?></span>
    </div>

    <div class="slicewp-card-inner">
        <p><?php echo sprintf( __( "This payment, totaling %s, can be added to the affiliate's store credit balance." ), slicewp_format_amount( $payment->get( 'amount' ), slicewp_get_setting( 'active_currency', 'USD' ) ) ); ?></p>
        <p><?php echo __( "By clicking the button below, this payment will be marked as paid and its amount will be added to the affiliate's store credit balance.", 'slicewp' ) ?></p>
    </div>

    <div class="slicewp-card-footer">

        <a href="<?php echo wp_nonce_url( add_query_arg( array( 'slicewp_action' => 'do_single_payment', 'payout_method' => 'store_credit', 'payment_id' => $payment->get( 'id' ) ) ), 'slicewp_do_single_payment', 'slicewp_token' ); ?>" data-confirmation-message="<?php echo __( 'Are you sure you want to pay the affiliate in store credit?', 'slicewp' ); ?>" class="slicewp-button-primary"><?php echo __( 'Pay in Store Credit', 'slicewp' ); ?></a>

    </div>

</div>