<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap slicewp-wrap slicewp-wrap-add-affiliate-group">

	<form action="" method="POST">

		<!-- Page Heading -->
		<h1 class="wp-heading-inline"><?php echo __( 'Add a New Affiliate Group', 'slicewp' ); ?></h1>
		<hr class="wp-header-end" />

		<div id="slicewp-content-wrapper">

			<!-- Primary Content -->
			<div id="slicewp-primary">

				<!-- Group Details -->
				<div class="slicewp-card slicewp-first">

					<div class="slicewp-card-header">
						<span class="slicewp-card-title"><?php echo __( 'Group Details', 'slicewp' ); ?></span>
					</div>

					<!-- Form Fields -->
					<div class="slicewp-card-inner">

						<!-- Affiliate Group Name -->
						<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

							<div class="slicewp-field-label-wrapper">
								<label for="slicewp-affiliate-group-name"><?php echo __( 'Name', 'slicewp' ); ?> *</label>
                                <?php echo slicewp_output_tooltip( __( 'A name so that you can quickly identify the group.', 'slicewp' ) ); ?>
							</div>
							
							<input id="slicewp-affiliate-group-name" name="group_name" type="text" required value="<?php echo ( ! empty( $_POST['group_name'] ) ? esc_attr( $_POST['group_name'] ) : '' ); ?>" />

						</div>

                        <!-- Affiliate Group Description -->
                        <div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

                            <div class="slicewp-field-label-wrapper">
								<label for="slicewp-affiliate-group-description"><?php echo __( 'Description', 'slicewp' ); ?></label>
                                <?php echo slicewp_output_tooltip( __( 'A description so that you can add more context to the group. This description is visible only by administrators.', 'slicewp' ) ); ?>
							</div>

                            <textarea id="slicewp-affiliate-group-description" name="group_description"><?php echo ( ! empty( $_POST['group_description'] ) ? esc_attr( $_POST['group_description'] ) : '' ); ?></textarea>

                        </div>
					
					</div>

				</div>
                <!-- / Group Details -->

                <!-- Commission Rates -->
                <div class="slicewp-card">

                    <div class="slicewp-card-header">
                        <span class="slicewp-card-title"><?php echo __( 'Commission Rates', 'slicewp' ); ?></span>

						<div class="slicewp-card-actions">
							<a href="https://slicewp.com/docs/commission-rates/#commission-rates-per-affiliate-group" target="_blank" class="slicewp-button-info" title="<?php echo esc_attr( __( 'Click to learn more...', 'slicewp' ) ); ?>"><svg height="18" width="18" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M13 9h-2V7h2v2zm0 2h-2v6h2v-6zm-1-7c-4.41 0-8 3.59-8 8s3.59 8 8 8 8-3.59 8-8-3.59-8-8-8m0-2c5.523 0 10 4.477 10 10s-4.477 10-10 10S2 17.523 2 12 6.477 2 12 2z"></path></g></svg></a>
						</div>
                    </div>

                    <div class="slicewp-card-inner">

                        <?php 
                            $commission_types = slicewp_get_available_commission_types( true );
                            $currency_symbol  = slicewp_get_currency_symbol( slicewp_get_setting( 'active_currency', 'USD' ) );
                        ?>

                        <?php foreach ( $commission_types as $type => $details ): ?>

                            <?php if ( $type == 'recurring' || $type == 'lifetime_sale' ) continue; ?>

                            <div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-field-wrapper-commission-rate">

                                <div class="slicewp-field-label-wrapper">
                                    <label for="slicewp-commission-rate-<?php echo str_replace( '_', '-', $type ); ?>">
                                        <?php echo sprintf( __( '%s rate', 'slicewp' ), $details['label'] ); ?>
                                    </label>
                                </div>

                                <input id="slicewp-commission-rate-<?php echo str_replace( '_', '-', $type ); ?>" name="commission_rate_<?php echo $type; ?>" type="number" step="any" min="0" value="<?php echo ( ! empty( $_POST['commission_rate_' . $type] ) ? esc_attr( $_POST['commission_rate_' . $type] ) : '0' ); ?>" />					

                                <select name="commission_rate_type_<?php echo esc_attr( $type ); ?>" class="slicewp-select2">
                                    <option value=""><?php echo __( 'Site default', 'slicewp' ); ?></option>
                                    <?php foreach ( $details['rate_types'] as $details_rate_type ): ?>
                                        <option value="<?php echo esc_attr( $details_rate_type ); ?>" <?php ( ! empty( $_POST['commission_rate_type_' . $type] ) ? selected( $_POST['commission_rate_type_' . $type], $details_rate_type ) : '' ); ?>><?php echo ( $details_rate_type == 'percentage' ? __( 'Percentage (%)', 'slicewp' ) : sprintf( __( 'Fixed Amount (%s)', 'slicewp' ), $currency_symbol ) ); ?></option>
                                    <?php endforeach; ?>
                                </select>

                            </div>

                        <?php endforeach; ?>

                        <div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last" style="display: none;">

                            <div class="slicewp-field-label-wrapper">
                                <label>
                                    <?php echo __( 'Sale Commission Basis', 'slicewp' ); ?>
                                </label>
                            </div>

                            <select id="slicewp-fixed-amount-commission-basis" name="commission_fixed_amount_rate_basis" class="slicewp-select2">
                                <option value="product" <?php echo ( ! empty( $_POST['commission_fixed_amount_rate_basis'] ) && $_POST['commission_fixed_amount_rate_basis'] == 'product' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Fixed amount per product', 'slicewp' ); ?></option>
                                <option value="order" <?php echo ( ! empty( $_POST['commission_fixed_amount_rate_basis'] ) && $_POST['commission_fixed_amount_rate_basis'] == 'order' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Fixed amount per order', 'slicewp' ); ?></option>
                            </select>

                        </div>

                    </div>

                </div>
                <!-- / Commission Rates -->

				<?php 

					/**
					 * Hook to add extra cards if needed.
					 *
					 */
					do_action( 'slicewp_view_affiliate_groups_add_affiliate_group_bottom' );

				?>

			</div><!-- / Primary Content -->

			<!-- Sidebar Content -->
			<div id="slicewp-secondary">

				<?php

					/**
					 * Hook to add extra cards if needed in the sidebar.
					 *
					 */
					do_action( 'slicewp_view_affiliate_groups_add_affiliate_group_secondary' );

				?>

			</div><!-- / Sidebar Content -->

		</div>

		<!-- Action and nonce -->
		<input type="hidden" name="slicewp_action" value="add_affiliate_group" />
		<?php wp_nonce_field( 'slicewp_add_affiliate_group', 'slicewp_token', false ); ?>

		<!-- Submit -->
		<input type="submit" class="slicewp-form-submit slicewp-button-primary" value="<?php echo __( 'Add Affiliate Group', 'slicewp' ); ?>" />
		
	</form>

</div>