<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

// Get all affiliate groups.
$affiliate_groups = slicewp_get_collections( array( 'number' => -1, 'object_context' => 'affiliate', 'type' => 'group' ) );

?>

<div class="slicewp-screen-overlay">

    <div class="slicewp-modal-frame slicewp-modal-add-affiliates-to-group">

        <div class="slicewp-modal-content">

            <div class="slicewp-modal-header">
                <h1>
                    <span data-selection="single" style="display: none;"><?php echo __( 'Add affiliate to group', 'slicewp' ); ?></span>
                    <span data-selection="multiple" style="display: none;"><?php echo __( 'Add affiliates to group', 'slicewp' ); ?></span>
                </h1>
                <a href="#" class="slicewp-close-modal"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" aria-hidden="true" focusable="false"><path d="M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z"></path></svg></a>
            </div>

            <form method="POST">
                
                <div class="slicewp-affiliates-details">

                    <div class="slicewp-affiliates-avatars"></div>
                    <div class="slicewp-affiliates-names"></div>
                    
                </div>

                <input type="hidden" name="affiliate_ids" />

                <div class="slicewp-field-wrapper">

                    <div class="slicewp-field-label-wrapper">
                        <label for="slicewp-modal-affiliate-group-id"><?php echo __( 'Group', 'slicewp' ); ?></label>
                    </div>

                    <select id="slicewp-modal-affiliate-group-id" class="slicewp-select2" name="affiliate_group_id" data-container-class="slicewp-in-modal-select">

                        <option value=""><?php echo __( 'Select...', 'slicewp' ); ?></option>

                        <?php foreach ( $affiliate_groups as $key => $collection ): ?>
                            <option value="<?php echo absint( $collection->get( 'id' ) ); ?>"><?php echo esc_html( $collection->get( 'name' ) ); ?></option>
                        <?php endforeach; ?>

                    </select>

                </div>

                <!-- Hidden and nonce -->
                <input type="hidden" name="slicewp_action" value="add_affiliates_to_group" />
                <input type="hidden" name="_wp_http_referer" value="<?php echo esc_url( remove_query_arg( array( '_wp_http_referer', 'slicewp_message', 'updated' ) ) ); ?>" />
                <?php wp_nonce_field( 'slicewp_add_affiliates_to_group', 'slicewp_token', false ); ?>

                <div class="slicewp-modal-footer">
                    <input type="submit" class="slicewp-form-submit slicewp-button-primary" value="Add to group" disabled>
                    <a href="#" class="slicewp-close-modal slicewp-button-tertiary"><?php echo __( 'Cancel', 'slicewp' ); ?></a>
                </div>

            </form>

        </div>

    </div>

</div>