<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Get the Commisions report data
 *
 */
$report_total_selected_period = slicewp_get_commissions( $args_selected, true );
$report_total_compare_period = slicewp_get_commissions( $args_compare, true );


/**
 * Get the Paid Commisions report data
 *
 */
$args_paid_commissions_selected = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $date_max->format( 'Y-m-d H:i:s' ) ),
    'status'        => 'paid'
);

$report_paid_commissions_selected = slicewp_get_commissions( $args_paid_commissions_selected, true );

$args_paid_commissions_compare = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $previous_date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $previous_date_max->format( 'Y-m-d H:i:s' ) ),
    'status'        => 'paid'
);

$report_paid_commissions_compare = slicewp_get_commissions( $args_paid_commissions_compare, true );


/**
 * Get the Unpaid Commisions report data
 *
 */
$args_unpaid_commissions_selected = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $date_max->format( 'Y-m-d H:i:s' ) ),
    'status'        => 'unpaid'
);

$report_unpaid_commissions_selected = slicewp_get_commissions( $args_unpaid_commissions_selected, true );

$args_unpaid_commissions_compare = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $previous_date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $previous_date_max->format( 'Y-m-d H:i:s' ) ),
    'status'        => 'unpaid'
);

$report_unpaid_commissions_compare = slicewp_get_commissions( $args_unpaid_commissions_compare, true );


/**
 * Get the Paid Commisions Amount report data
 *
 */
$args_paid_commissions_selected = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $date_max->format( 'Y-m-d H:i:s' ) ),
    'status'        => 'paid',
    'number'        => 0
);

$report_paid_commissions_amount_selected = slicewp_get_commissions( $args_paid_commissions_selected, false );

$args_paid_commissions_compare = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $previous_date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $previous_date_max->format( 'Y-m-d H:i:s' ) ),
    'status'        => 'paid',
    'number'        => 0
);

$report_paid_commissions_amount_compare = slicewp_get_commissions( $args_paid_commissions_compare, false );


/**
 * Get the Unpaid Commisions Amount report data
 *
 */
$args_unpaid_commissions_selected = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $date_max->format( 'Y-m-d H:i:s' ) ),
    'status'        => 'unpaid',
    'number'        => 0
);

$report_unpaid_commissions_amount_selected = slicewp_get_commissions( $args_unpaid_commissions_selected, false );

$args_unpaid_commissions_compare = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $previous_date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $previous_date_max->format( 'Y-m-d H:i:s' ) ),
    'status'        => 'unpaid',
    'number'        => 0
);

$report_unpaid_commissions_amount_compare = slicewp_get_commissions( $args_unpaid_commissions_compare, false );


/**
 * Get the commissions for Average Commision report data
 *
 */
$args_total_commissions_amount_selected = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $date_max->format( 'Y-m-d H:i:s' ) ),
    'number'        => 0
);

$report_total_commissions_amount_selected = slicewp_get_commissions( $args_total_commissions_amount_selected, false );

//Compute the Average Commission for Selected Period
if( ! empty( $report_total_commissions_amount_selected ) ) {
    
    $total_commissions_amount_selected = 0;

    foreach( $report_total_commissions_amount_selected as $commission ) {
        $commission = $commission->to_array();
        $total_commissions_amount_selected += $commission['amount'];
    }

    $report_average_commission_selected = round( $total_commissions_amount_selected / sizeof( $report_total_commissions_amount_selected ), 2 );

} else
    $report_average_commission_selected = 0;
    

//Define the Arguments to get the Commissions for Compare Period
$args_total_commissions_amount_compare = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $previous_date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $previous_date_max->format( 'Y-m-d H:i:s' ) ),
    'number'        => 0
);

$report_total_commissions_amount_compare = slicewp_get_commissions( $args_total_commissions_amount_compare, false );


//Compute the Average Commission for Compare Period
if( ! empty( $report_total_commissions_amount_compare ) ) {

    $total_commissions_amount_compare = 0;

    foreach( $report_total_commissions_amount_compare as $commission ) {
        $commission = $commission->to_array();
        $total_commissions_amount_compare += $commission['amount'];
    }

    $report_average_commission_compare = round( $total_commissions_amount_compare / sizeof( $report_total_commissions_amount_compare ), 2 );
} else
    $report_average_commission_compare = 0;
   
?>

<!-- Tab: Commissions Reports -->
<div class="slicewp-tab <?php echo ( $active_tab == 'commissions' ? 'slicewp-active' : '' ); ?>" data-tab="commissions">

    <div class="slicewp-grid slicewp-grid-columns-3">

        <!-- Total Commissions  -->
        <div class="slicewp-grid-item">
            
            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Commissions', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">
                        
                        <span class="slicewp-card-kpi-value"><?php echo sprintf( __( '%s', 'slicewp-reports'), $report_total_selected_period ); ?></span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $report_total_selected_period, $report_total_compare_period) == 0 ? '' : ( slicewp_compute_percentage( $report_total_selected_period, $report_total_compare_period ) > 0 ? 'slicewp-positive' : 'slicewp-negative' ) ); ?>">
                            
                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports'), slicewp_compute_percentage( $report_total_selected_period, $report_total_compare_period ) ); ?>

                            </div>
                    
                        </div>

                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>

        </div>
        <!-- / Total Commissions -->

        <!-- Paid Commissions  -->
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Paid Commissions', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">
                    <div class="slicewp-card-kpi">
                    
                        <span class="slicewp-card-kpi-value"><?php echo sprintf( __( '%s', 'slicewp-reports'), $report_paid_commissions_selected ); ?></span>

                        <div>
                            
                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $report_paid_commissions_selected, $report_paid_commissions_compare) == 0 ? '' : ( slicewp_compute_percentage( $report_paid_commissions_selected, $report_paid_commissions_compare ) > 0 ? 'slicewp-positive' : 'slicewp-negative' ) ); ?>">
                
                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports'), slicewp_compute_percentage( $report_paid_commissions_selected, $report_paid_commissions_compare ) ); ?>

                            </div>
                            
                        </div>

                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>
        
        </div>
        <!-- / Paid Commissions -->

        <!-- Unpaid Commissions  -->
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Unpaid Commissions', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">

                        <span class="slicewp-card-kpi-value"><?php echo sprintf( __( '%s', 'slicewp-reports'), $report_unpaid_commissions_selected ); ?></span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $report_unpaid_commissions_selected, $report_unpaid_commissions_compare) == 0 ? '' : ( slicewp_compute_percentage( $report_unpaid_commissions_selected, $report_unpaid_commissions_compare ) > 0 ? 'slicewp-negative' : 'slicewp-positive' ) ); ?>">

                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports'), slicewp_compute_percentage( $report_unpaid_commissions_selected, $report_unpaid_commissions_compare ) ); ?>

                            </div>

                        </div>

                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>

        </div>
        <!-- / Unpaid Commissions -->

        <!-- Average Commission -->
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Average Commission', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">

                        <span class="slicewp-card-kpi-value"><?php echo sprintf( __( '%s', 'slicewp-reports'), slicewp_format_amount( $report_average_commission_selected , slicewp_get_setting( 'active_currency', 'USD' ) ) ); ?></span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $report_average_commission_selected, $report_average_commission_compare ) == 0 ? '' : ( slicewp_compute_percentage( $report_average_commission_selected, $report_average_commission_compare ) > 0 ? 'slicewp-positive' : 'slicewp-negative' ) ); ?>">

                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports'), slicewp_compute_percentage( $report_average_commission_selected, $report_average_commission_compare ) ); ?>

                            </div>

                        </div>
                    
                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>

        </div>
        <!-- / Average Commissions -->

        <!-- Paid Commissions Amount  -->
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Paid Commissions Amount', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">

                        <span class="slicewp-card-kpi-value">
                            <?php

                                $paid_amount_selected = 0;

                                foreach ( $report_paid_commissions_amount_selected as $commission ) {
                                    $paid_amount_selected += $commission->get( 'amount' );
                                }

                                echo sprintf( __( '%s', 'slicewp-reports'), slicewp_format_amount( $paid_amount_selected , slicewp_get_setting( 'active_currency', 'USD' ) ) );

                            ?>
                        </span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <?php

                                $paid_amount_compare = 0;

                                foreach ( $report_paid_commissions_amount_compare as $commission ) {
                                    $paid_amount_compare += $commission->get( 'amount' );
                                }

                            ?>
                            
                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $paid_amount_selected, $paid_amount_compare ) == 0 ? '' : ( slicewp_compute_percentage( $paid_amount_selected, $paid_amount_compare ) > 0 ? 'slicewp-positive' : 'slicewp-negative' ) ); ?>">
                            
                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports'), slicewp_compute_percentage( $paid_amount_selected, $paid_amount_compare ) ); ?>

                            </div>

                        </div>
                        
                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>

        </div>
        <!-- / Paid Commissions Amount -->

        <!-- Unpaid Commissions Amount  -->
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Unpaid Commissions Amount', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">
                        
                        <span class="slicewp-card-kpi-value">
                            <?php

                                $unpaid_amount_selected = 0;

                                foreach ( $report_unpaid_commissions_amount_selected as $commission ) {
                                    $unpaid_amount_selected += $commission->get( 'amount' );
                                }

                                echo sprintf( __( '%s', 'slicewp-reports'), slicewp_format_amount( $unpaid_amount_selected , slicewp_get_setting( 'active_currency', 'USD' ) ) );

                            ?>
                        </span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <?php

                                $unpaid_amount_compare = 0;

                                foreach( $report_unpaid_commissions_amount_compare as $commission ) {
                                    $unpaid_amount_compare += $commission->get( 'amount' );
                                }

                            ?>
                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $unpaid_amount_selected, $unpaid_amount_compare ) == 0 ? '' : ( slicewp_compute_percentage( $unpaid_amount_selected, $unpaid_amount_compare ) > 0 ? 'slicewp-negative' : 'slicewp-positive' ) ); ?>">
                            
                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports'), slicewp_compute_percentage( $unpaid_amount_selected, $unpaid_amount_compare ) ); ?>

                            </div>

                        </div>

                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>
        
        </div>
        <!-- / Unpaid Commissions Amount -->

    </div>

    <!-- Charts -->
    <ul class="slicewp-chart-nav-tab-wrapper">
        <li class="slicewp-chart-nav-tab slicewp-active" data-tab="commissions-overview"><a href="#"><?php echo __( 'Overview', 'slicewp' ); ?></a></li>
        <li class="slicewp-chart-nav-tab" data-tab="commissions-status"><a href="#"><?php echo __( 'Compared by status', 'slicewp' ); ?></a></li>
    </ul>

    <?php

        // Get commissions.
        $commissions = slicewp_get_commissions( array_merge( array( 'number' => -1, 'order' => 'ASC' ), $args_selected ) );

        // Set date_created based on site's timezone, not GMT as it's saved in the DB.
        foreach ( $commissions as $key => $commission ) {

            $commissions[$key]->set( 'date_created', get_date_from_gmt( $commission->get( 'date_created' ) ) );

        }

    ?>

    <div class="slicewp-chart-tab slicewp-active" data-tab="commissions-overview">

        <?php

            $chart = new SliceWP_Chart_Commissions_Overview( array(
                'raw_data' => $commissions,
                'args'     => array( 'date_min' => $date_min->format( 'Y-m-d H:i:s' ), 'date_max' => $date_max->format( 'Y-m-d H:i:s' ) )
            ) );

            $chart->output();
        ?>
        
    </div>

    <div class="slicewp-chart-tab" data-tab="commissions-status">

        <?php

            $chart = new SliceWP_Chart_Commissions_Status( array(
                'raw_data' => $commissions,
                'args'     => array( 'date_min' => $date_min->format( 'Y-m-d H:i:s' ), 'date_max' => $date_max->format( 'Y-m-d H:i:s' ) )
            ) );

            $chart->output();
        ?>
        
    </div>
    <!-- / Charts -->

</div><!-- / Tab: Commissions Reports -->
